
function hideElementLvp (element, forceRemove) {
	var elementHide = element.up('div.onclick_hide_lvp')
	if (elementHide && elementHide.visible()) {
		window.setTimeout(function() {
			new Ajax.Request('plugins.php/lvpplugin/OverviewNotifyClose?cid=&id='+element.up('tr').identify(), {
				onSuccess: function () {
					new Effect.toggle(elementHide, 'slide', { duration: 0.5, queue: 'first' });
				},
				onComplete: function () {
					if (forceRemove) {
						window.setTimeout(function() {
							elementHide.up('tr').remove();
						}, 1000);
					}
				}
			});
		}, 250);
	}
	
	return null;
}

function toggleElementLvp (prefixId, id, alwaysToggle, forceRemove) {
	var element = $(prefixId + '_' + id);
	
	if (element && element.down('div').visible()) {
		window.setTimeout(function() {
			new Ajax.Request('plugins.php/lvpplugin/OverviewNotifyClose?cid=&id='+prefixId+'_'+id, {
				onSuccess: function () {
					new Effect.toggle(element.down('div'), 'slide', { duration: 0.5, queue: 'first' });
				},
				onComplete: function () {
					if (forceRemove) {
						window.setTimeout(function() {
							element.remove();
						}, 1000);
					}
				}
			});
		}, 250);
	} else if (element && alwaysToggle) {
		window.setTimeout(function() {
			new Ajax.Request('plugins.php/lvpplugin/OverviewNotifyOpen?cid=&id='+prefixId+'_'+id, {
				onSuccess: function () {
					new Effect.toggle(element.down('div'), 'slide', { duration: 0.5, queue: 'end' });
				}
			});
		}, 250);
	}
	
	return null;
}	

document.observe('dom:loaded', function() {
	lvpObserve();
});

function lvpObserveInner (id) {
	
	var hrefStored = '';
	
	$$('.onclick_url_lvp-'+id).invoke('observe', 'mouseover', function() {
		hrefStored = this.readAttribute('rel');
		this.writeAttribute('href', false);
	});
	
	$$('.form_cancel_lvp-'+id).invoke('observe', 'change', function() {
		
	});
	
	$$('.onclick_form_lvp-'+id).invoke('observe', 'submit', function() {
		//var idForm = this.up('form').identify();
		var idForm = this.identify();
		window.alert(idForm);
		
		window.setTimeout(function() {
			$(idForm).request({
				onComplete: function(transport) {
					$(idForm).up('tr').update(transport.responseText);
				}
			});
		}, 250);
	});
	
	
	$$('.onclick_url_lvp-'+id).invoke('observe', 'click', function() {
		var idTr = this.up('tr').identify();
		var hrefRel = this.readAttribute('rel');
		
		if (hrefRel != '') {
			window.setTimeout(function() {
				new Ajax.Request(hrefRel, {
					onSuccess: function(transport) {
						$(idTr).update(transport.responseText);
					}
				});
			}, 250);
		}
	});
	
}

function updateVisibility (element, id, newText) {
	if (element.readAttribute('rel') == id) {
		element.update(newText);
	}
	return null;
}

function lvpObserve () {
	
	var timeouts = {};
	var hrefStored = '';
	
	$$('.onchange_submit_lvp').invoke('observe', 'change', function() {
		this.up('form').submit();
	});
	
	$$('a.onclick_lvp').invoke('observe', 'mouseover', function() {
		hrefStored = this.readAttribute('href');
		this.writeAttribute('href', false);
	});
	
	$$('a.onclick_lvp').invoke('observe', 'mouseout', function() {
		if (hrefStored != '') {
			this.writeAttribute('href', hrefStored);
		}
	});
	
	$$('.onclick_toggle_lvp').invoke('observe', 'click', function() {
		var hrefRel = this.readAttribute('rel');
	//	window.alert(hrefStored);
		if (hrefRel != '') {
			window.setTimeout(function() {
				new Ajax.Request(hrefRel, {
					onComplete: function(transport) {
						$$('.onclick_toggle_lvp').each(function(element) {
							if (element.readAttribute('rel') == hrefRel) {
								element.update(transport.responseText);
							}
						});
					}
				});
			}, 250);
		}
	});
	
	$$('.onclick_get_lvp').invoke('observe', 'click', function() {
		var id = this.up('tr').identify();
		var prefixId = 'note';
		var hrefRel = this.readAttribute('rel');
		var forceRemove = false;
		
		if (hrefRel != '') {
			if (this.hasClassName('get_note_lvp')) {
				prefixId = 'note';
				toggleElementLvp('messages', id, false, true);
				toggleElementLvp('conflicts1', id, false, false);
				toggleElementLvp('conflicts2', id, false, false);
				toggleElementLvp('conflicts_pb', id, false, false);
				forceRemove = true;
			} else if (this.hasClassName('get_messages_lvp')) {
				prefixId = 'messages';
				toggleElementLvp('note', id, false, true);
				toggleElementLvp('conflicts1', id, false, false);
				toggleElementLvp('conflicts2', id, false, false);
				toggleElementLvp('conflicts_pb', id, false, false);
				forceRemove = true;
			} else if (this.hasClassName('get_conflicts1_lvp')) {
				prefixId = 'conflicts1';
				toggleElementLvp('note', id, false, true);
				toggleElementLvp('messages', id, false, true);
				toggleElementLvp('conflicts2', id, false, false);
				toggleElementLvp('conflicts_pb', id, false, false);
			} else if (this.hasClassName('get_conflicts2_lvp')) {
				prefixId = 'conflicts2';
				toggleElementLvp('note', id, false, true);
				toggleElementLvp('messages', id, false, true);
				toggleElementLvp('conflicts1', id, false, false);
				toggleElementLvp('conflicts_pb', id, false, false);
			} else if (this.hasClassName('get_conflicts_pb_lvp')) {
				prefixId = 'conflicts_pb';
				toggleElementLvp('note', id, false, true);
				toggleElementLvp('messages', id, false, true);
				toggleElementLvp('conflicts1', id, false, false);
				toggleElementLvp('conflicts2', id, false, false);
			}
			
			if ($(prefixId + '_' + id)) {
				timeouts[prefixId + id] = window.setTimeout(function() {
					timeouts[prefixId + id] = null;
					toggleElementLvp(prefixId, id, true, forceRemove);
				}, 250);
			} else {
				timeouts[prefixId + id] = window.setTimeout(function() {
					timeouts[prefixId + id] = null;
					$(id).insert({ after: '<tr class="accordion_lvp" id="'+prefixId+'_'+id+'" style="display: none;"></tr>' });
					new Ajax.Request(hrefRel, {
						onSuccess: function(transport) {
							$(prefixId + '_' + id).update(transport.responseText);
						},
						onComplete: function() {
							$(prefixId + '_' + id).down('div').hide();
							$(prefixId + '_' + id).show();
							
							new Effect.toggle($(prefixId + '_' + id).down('div'), 'slide', { duration: 0.5, queue: 'end' });
						
						}
					});
				}, 250);
			}
		}
	});
	
}