<?php
/**
 *
 */

/**
 * Enter description here...
 *
 */
class ModulHandbuch
{
	/**
	 * Enter description here...
	 *
	 * @param array() $lehreinheiten
	 * @return unknown
	 */
	public static function getHandbuecher($lehreinheiten)
	{
		$handbuchlist = array();
		foreach ($lehreinheiten as $key=>$lehreinheit)
		{
			$lehreinheit = array(
				'id' => $key,
				'name' => $lehreinheit
			);
			$statement = DBManager::Get()->query("SELECT sem_tree_id, name FROM sem_tree WHERE parent_id = '$key' ORDER BY name");
			$faecher = $statement->fetchAll(PDO::FETCH_ASSOC);
			foreach ($faecher as $fach)
			{
				$fachn = array(
					'id' => $fach['sem_tree_id'],
					'name' => $fach['name']
				);
				$statement = DBManager::Get()->query("SELECT mh.mod_handbuch_id, mh.abschluss_id, st.name FROM modul_handbuch mh LEFT JOIN sem_tree st ON mh.abschluss_id=st.sem_tree_id WHERE mh.fach_id = '".$fach['sem_tree_id']."'");
				$abschluesse = $statement->fetchAll(PDO::FETCH_ASSOC);
				foreach ($abschluesse as $abschluss)
				{
					$fachn['abschluesse'][] = array(
						'mod_handbuch_id' => $abschluss['mod_handbuch_id'],
						'name' => ($abschluss['abschluss_id']=='all')?'Alle Abschlsse':$abschluss['name']
					);
				}
				$lehreinheit['faecher'][] = $fachn;
			}
			$handbuchlist[] = $lehreinheit;
		}
		#echo '<pre>';
		#print_r($handbuchlist);
		#echo '</pre>';
		return $handbuchlist;
	}

	/**
	 * Enter description here...
	 *
	 * @param md5 $fach_id
	 * @param md5 $abschluss_id
	 * @return array()
	 */
	public static function getHandbuch($mod_handbuch_id)
	{
		$handbuch = array(
			'id' => $mod_handbuch_id,
		    'title'=> self::getHandbuchTitle($mod_handbuch_id),
			'module' => self::getModuleForHandbuch($mod_handbuch_id)
		);
		return $handbuch;
	}

	/**
	 * Gibt den Namen des Handbuchs zurck
	 *
	 * @param md5      $mod_handbuch_id
	 * return string   $title
	 */
	private static function getHandbuchTitle($mod_handbuch_id)
	{
	    $ids = DBManager::get()->query("SELECT fach_id, abschluss_id FROM modul_handbuch WHERE mod_handbuch_id = '{$mod_handbuch_id}'")->fetch(PDO::FETCH_ASSOC);
	    $fach = DBManager::get()->query("SELECT name FROM sem_tree WHERE sem_tree_id = '{$ids['fach_id']}'")->fetch(PDO::FETCH_COLUMN);

	    if($ids['abschluss_id'] == 'all') {
	        return $fach.' - Alle Abschlsse';
	    } else {
	        $abschluss = DBManager::get()->query("SELECT name FROM sem_tree WHERE sem_tree_id = '{$ids['abschluss_id']}'")->fetch(PDO::FETCH_COLUMN);
	        return $fach.' - '.$abschluss;
	    }
	}

	/**
	 * Gibt eine Liste aller konkreten Module zu einem Abschluss (in einem Semester) zurck
	 *
	 * @param string $abschluss_id
	 * @param optional string $semester
	 * @return array()
	 */
	public static function getHandbuchAndModules($fach_id, $abschluss_id)
	{
		$module = array();
		$result = DBManager::Get()->query("SELECT mod_handbuch_id FROM modul_handbuch WHERE fach_id ='$fach_id' AND abschluss_id = '$abschluss_id';");
		$handbuch_id = $result->fetch(PDO::FETCH_ASSOC);
		//Alle Abschlsse ausgewhlt
		if($abschluss_id == 'all')
		{
			$db = new DB_Seminar;
			$db->queryf("SELECT DISTINCT objekt_id FROM `struktur_zuordnung` WHERE `sem_tree_id`='%s';", $fach_id);
			while ($db->next_record())
			{
				$module = self::getModule($db->f("objekt_id"), $abschluss_id, $handbuch_id);
			}
		}
		// nur einen bestimmten ausgewhlt
		else
		{
			$db = new DB_Seminar;
			$db->queryf("SELECT DISTINCT objekt_id FROM `struktur_zuordnung` WHERE `sem_tree_id`='%s';", $fach_id);
			if($db->next_record())
			{
				$db3 = new DB_Seminar;
				$db3->queryf("SELECT DISTINCT objekt_id FROM `struktur_zuordnung` WHERE `sem_tree_id`='%s';", $abschluss_id);
				if($db3->next_record())
				{
					$module = self::getModule($db->f("objekt_id"), $db3->f('objekt_id'), $handbuch_id);
				}
			}
		}
		#array_unique($module); //macht das sinn?
		return $module;
	}

	/**
	 * Gibt ein array() aller Module zu einem Fach und Abschluss zurck.
	 * Dabei werden immer nur die neusten kon_module bercksichtigt
	 *
	 * @param md5 $fach
	 * @param md5 $abschluss
	 * @return array() module
	 */
	private static function getModule($fach, $abschluss='', $modul_handbuch_id = '')
	{
		if(!empty($modul_handbuch_id))
		{
			$old_modul_kon_ids = DBManager::get()->query("SELECT modul_kon_id FROM `modul_handbuchliste` WHERE mod_handbuch_id = '{$modul_handbuch_id['mod_handbuch_id']}';")->fetchAll(PDO::FETCH_COLUMN);
		}

		$sql = "SELECT MAX(m.semester) as semester, m.modul_abst_id, mz.modultitel, mz.modulschluessel
		FROM mod_zuordnung AS mz
		LEFT JOIN module m ON mz.modul_abst_id = m.modul_abst_id
		WHERE mz.fach_id = '$fach'";

		# nur abschluss
		if(!empty($abschluss) && $abschluss != 'all')
		{
			$sql .= " AND mz.abschluss_id = '$abschluss'";
		}

		$sql .= " GROUP BY mz.modul_abst_id
		ORDER BY mz.modulschluessel;";

		#echo $sql;


		// erst alle abstrakten module holen
		$amoduls = DBManager::get()->query($sql)->fetchAll(PDO::FETCH_ASSOC);
		foreach($amoduls as $amodul)
		{
			// fr jedes abst_modul das neuste kon_modul holen
			$modul = DBManager::get()->query("SELECT DISTINCT m.modul_kon_id, m.modul_abst_id, m.mok, mz.modultitel, mz.modulschluessel, s.name
			FROM module AS m
			LEFT JOIN mod_zuordnung AS mz ON mz.modul_abst_id = m.modul_abst_id
			LEFT JOIN semester_data AS s ON m.semester=s.semester_id
			WHERE m.modul_abst_id = '{$amodul['modul_abst_id']}' AND m.semester = '{$amodul['semester']}' AND mz.fach_id = '{$fach}';")->fetch(PDO::FETCH_ASSOC);
			$modul['semester_name'] = str_replace(array('Sommersemester', 'Wintersemester'), array('SS', 'WS'), trim($modul['name']));
			//kein kon_modul vorhanden, dann abst_modul infos nehmen
			if(empty($modul['modul_kon_id']))
			{
				$modul['modul_abst_id'] = $amodul['modul_abst_id'];
				$modul['mok'] = $amodul['mok'];
				$modul['modultitel'] = $amodul['modultitel'];
				$modul['modulschluessel'] = $amodul['modulschluessel'];
			}
			//wenn handbuch vorhanden position bernehmen
			if(!empty($modul_handbuch_id))
			{
				$modul['position'] = DBManager::get()->query("SELECT position FROM `modul_handbuchliste` WHERE mod_handbuch_id = '{$modul_handbuch_id['mod_handbuch_id']}' AND modul_kon_id = '{$modul['modul_kon_id']}';")->fetchColumn();

				//wenn vom ausgewhlten modul ein neues gibt, dieses als alt markieren
				if(!empty($modul['modul_kon_id']) && !in_array($modul['modul_kon_id'], $old_modul_kon_ids))
				{

					$sql2 = "SELECT modul_kon_id
					FROM module AS m
					LEFT JOIN mod_zuordnung AS mz ON mz.modul_abst_id = m.modul_abst_id
					WHERE mz.fach_id = '{$fach}' AND m.modul_abst_id = '{$amodul['modul_abst_id']}'";
					if(!empty($abschluss) && $abschluss != 'all')
					{
						$sql .= " AND mz.abschluss_id = '$abschluss'";
					}
					$all_modul_kon_ids = DBManager::get()->query($sql2)->fetchAll(PDO::FETCH_COLUMN);
					foreach ($all_modul_kon_ids as $all_modul_kon_id)
					{
						if(in_array($all_modul_kon_id, $old_modul_kon_ids))
						{
							$modul['old'] = true;
						}
					}
				}
			}
			$module[] = $modul;
		}

		#echo "<pre>";
		#print_r($module);
		#echo "</pre>";
		return $module;
	}

	/**
	 * Gibt eine Liste aller neusten konkreten Module zu einem Abschluss zurck
	 *
	 * @param string $abschluss_id
	 * @return array()
	 */
	/*public static function getKonModuleForFach($fach_id)
	{
		//TODO: warum geht das nicht?!?!?!?!?!?!?!?!?
		//fixen.... evtl max semester an anfang?!?

		$results = DBManager::Get()->query("SELECT m.modul_kon_id, mz.modultitel, mz.modulschluessel, m.mok, MAX(s.name) as semestername
			FROM mod_zuordnung AS mz
			LEFT JOIN module m ON mz.modul_abst_id = m.modul_abst_id
			LEFT JOIN semester_data s ON m.semester=s.semester_id
			LEFT JOIN struktur_zuordnung AS sz ON sz.objekt_id=mz.fach_id
			WHERE sz.sem_tree_id = '{$fach_id}'
			GROUP BY mz.modulschluessel
			ORDER BY mz.modulschluessel;")-> fetchAll(PDO::FETCH_ASSOC);
		foreach ($results as $index=>$result)
		{
			$results[$index]['semestername'] = str_replace(array('Sommersemester', 'Wintersemester'), array('SS', 'WS'), trim($result['semestername']));
		}
		array_unique($results);
		return $results;
	}*/

	/**
	 * Gibt ein array() aller konkreten Module eines Handbuchs zurck, sortiert
	 * nach der Position und des modulschluessels
	 *
	 * @param md5 $modulhandbuch_id
	 */
	private static function getModuleForHandbuch($modulhandbuch_id)
	{
		return DBManager::Get()->query("SELECT DISTINCT mh.modul_kon_id, mh.position
			FROM modul_handbuchliste AS mh
			LEFT JOIN module AS m ON mh.modul_kon_id = m.modul_kon_id
			LEFT JOIN mod_zuordnung AS mz ON m.modul_abst_id = mz.modul_abst_id
			WHERE mh.mod_handbuch_id='{$modulhandbuch_id}'
			ORDER BY mh.position, mz.modulschluessel;")->fetchAll(PDO::FETCH_ASSOC);
	}

	/**
	 * Enter description here...
	 *
	 * @param md5 $fach_id
	 * @param md5 $abschluss_id
	 * @param array() $module
	 */
	public static function setHandbuch($request, $user_id)
	{
		//1. erst gucken, ob es schon eins gibt
		$modulhandbuch_id = DBManager::Get()->query("SELECT mod_handbuch_id FROM modul_handbuch WHERE fach_id ='".$request['fach']."' AND abschluss_id = '".$request['abschluss']."';")->fetchColumn();

		//2a. noch nicht vorhanden, neu anlegen -> insert
		if (empty($modulhandbuch_id))
		{
			DBManager::Get()->exec("INSERT INTO `modul_handbuch` (`mod_handbuch_id`, `fach_id`, `abschluss_id`, `user_id`, `change_date` ) VALUES ('', '".$request['fach']."', '".$request['abschluss']."', '$user_id', NOW());");
			$modulhandbuch_id = DBManager::Get()->query("SELECT mod_handbuch_id FROM modul_handbuch WHERE fach_id ='".$request['fach']."' AND abschluss_id = '".$request['abschluss']."';")->fetchColumn();
		}
		//2b. ansonsten update
		else
		{
			DBManager::Get()->exec("UPDATE `modul_handbuch` SET `user_id` = '$user_id', `change_date` = NOW() WHERE `mod_handbuch_id`='$modulhandbuch_id';");
		}
		//3. module speichern
		self::setModuleForHandbuch($modulhandbuch_id, $request);
	}

	/**
	 * Enter description here...
	 *
	 * @param md5 $modulhandbuch_id
	 * @param array() $module
	 */
	private static function setModuleForHandbuch($modulhandbuch_id, $request, $delete = false)
	{
		#print_r($request);
		//1. alle eintrge zu diesem handbuch lschen
		$result = DBManager::Get()->query("DELETE FROM `modul_handbuchliste` WHERE `mod_handbuch_id`='$modulhandbuch_id';");

		//2. Module hinzufgen
		foreach ($request['module'] as $modul)
		{
			DBManager::Get()->exec("INSERT INTO `modul_handbuchliste` (`mod_handbuch_id`, `modul_kon_id`, `position`) VALUES ('$modulhandbuch_id', '$modul', '$request[$modul]');");
		}
	}

}

?>