<?php
/**
 * Writer.class.php
 *
 * lange Beschreibung...
 *
 * PHP version 5
 *
 * @author  	Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @author		Mark Sievers <msievers@uos.de>
 * @package 	IBIT_ModulVerwaltungPlugin
 * @copyright 	2008 IBIT
 * @license 	http://www.gnu.org/licenses/gpl.html GPL Licence 3
 * @version 	0.1
 */

/**
 * Enter description here...
 *
 */
class Storage
{
	public $seminar;
	public $seminar_sem_tree;
	public $dozent;
	public $seminar_inst;
	public $generic;
	public $sonst;

	function __construct()
	{
		$this->seminar = array();
		$this->seminar_sem_tree = array();
		$this->dozent = array();
		$this->generic = array();
		$this->seminar_inst = "";
		$this->sonst = "";
	}

	function addDozent($name, $id = 0)
	{
		$this->dozent[] = array("name" => $name, "id" => $id);
	}

	function nextDozent()
	{
		$ret = current($this->dozent);
		next($this->dozent);
		return $ret;
	}

	function getAllDozent()
	{
		return $this->dozent;
	}

	function resetDozent()
	{
		reset($this->dozent);
	}

	// funktion, die alle Eintrge fr ein Seminar setzt
	// praktisch, um von studip nach studip zu im- bzw. zu exportieren
	function setSem($seminar)
	{
		$this->seminar = $seminar;
	}

	// alle get- bzw. set-Methoden fr seminare
	function setSeminarTitel($name)
	{
		$this->seminar["name"] = $name;
	}

	function getSeminarTitel()
	{
		return $this->seminar["name"];
	}

	function setSeminarID($id)
	{
		$this->seminar["Seminar_id"] = $id;
	}

	function getSeminarID()
	{
		return $this->seminar["Seminar_id"];
	}

	function setVeranstaltungsNummer($va_nummer)
	{
		$this->seminar["VeranstaltungsNummer"] = $va_nummer;
	}

	function getVeranstaltungsNummer()
	{
		return $this->seminar["VeranstaltungsNummer"];
	}

	function setInstitutID($inst_id)
	{
		$this->seminar["Institut_id"] = $inst_id;
	}

	function getInstitutID()
	{
		return $this->seminar["Institut_id"];
	}

	function setUntertitel($untertitel)
	{
		$this->seminar["Untertitel"] = $untertitel;
	}

	function getUntertitel()
	{
		return $this->seminar["Untertitel"];
	}

	function setStatus($status)
	{
		$this->seminar["status"] = $status;
	}

	function getStatus()
	{
		return $this->seminar["status"];
	}

	function setDescription($description)
	{
		$this->seminar["Beschreibung"] = $description;
	}

	function getDescription()
	{
		return $this->seminar["Beschreibung"];
	}

	function setOrt($place)
	{
		$this->seminar["Ort"] = $place;
	}

	function getOrt()
	{
		return $this->seminar["Ort"];
	}

	function setSonstiges($sonst)
	{
		$this->seminar["Sonstiges"] = $sonst;
	}

	function getSonstiges()
	{
		return $this->seminar["Sonstiges"];
	}

	function setPW($pw)
	{
		$this->seminar["Passwort"] = $pw;
	}

	function getPW()
	{
		return $this->seminar["Passwort"];
	}

	function setLesezugriff($lz)
	{
		$this->seminar["Lesezugriff"] = $lz;
	}

	function getLesezugriff()
	{
		return $this->seminar["Lesezugriff"];
	}

	function setSchreibzugriff($sz)
	{
		$this->seminar["Schreibzugriff"] = $sz;
	}

	function getSchreibzugriff()
	{
		return $this->seminar["Schreibzugriff"];
	}

	function setStartTime($st)
	{
		$this->seminar["start_time"] = $st;
	}

	function getStartTime()
	{
		return $this->seminar["start_time"];
	}

	function setDurationTime($dt)
	{
		$this->seminar["duration_time"] = $dt;
	}

	function getDurationTime()
	{
		return $this->seminar["duration_time"];
	}

	function setArt($art)
	{
		$this->seminar["art"] = $art;
	}

	function getArt()
	{
		return $this->seminar["art"];
	}

	function setTeilnehmer($tn)
	{
		$this->seminar["teilnehmer"] = $tn;
	}

	function getTeilnehmer()
	{
		return $this->seminar["teilnehmer"];
	}

	function setVorraussetzungen($vs)
	{
		$this->seminar["vorraussetzungen"] = $vs;
	}

	function getVorraussetzungen()
	{
		return $this->seminar["voraussetzungen"];
	}

	function setLernorga($lo)
	{
		$this->seminar["lernorga"] = $lo;
	}

	function getLernorga()
	{
		return $this->seminar["lernorga"];
	}

	function setLeistungsnachweis($ln)
	{
		$this->seminar["leistungsnachweis"] = $ln;
	}

	function getLeistungsnachweis()
	{
		return $this->seminar["leistungsnachweis"];
	}

	function setMetadataDates($md)
	{
		$this->seminar["metadata_dates"] = $md;
	}

	function getMetadataDates()
	{
		return $this->seminar["metadata_dates"];
	}

	function setMakeDate($md)
	{
		$this->seminar["mkdate"] = $md;
	}

	function getMakeDate()
	{
		return $this->seminar["mkdate"];
	}

	function setChangeDate($cd)
	{
		$this->seminar["chdate"] = $cd;
	}

	function getChangeDate()
	{
		return $this->seminar["chdate"];
	}

	function setECTS($ects)
	{
		$this->seminar["ECTS"] = $ects;
	}

	function getECTS()
	{
		return $this->seminar["ECTS"];
	}

	function setAdmissionEndtime($ae)
	{
		$this->seminar["admission_endtime"] = $ae;
	}

	function getAdmissionEndtime()
	{
		return $this->seminar["admission_endtime"];
	}

	function setAdmissionTurnout($at)
	{
		$this->seminar["admission_turnout"] = $at;
	}

	function getAdmissionTurnout()
	{
		return $this->seminar["admission_turnout"];
	}

	function setAdmissionBinding($ab)
	{
		$this->seminar["admission_binding"] = $ab;
	}

	function getAdmissionBinding()
	{
		return $this->seminar["admission_binding"];
	}

	function setAdmissionType($at)
	{
		$this->seminar["admission_type"] = $at;
	}

	function getAdmissionType()
	{
		return $this->seminar["admission_type"];
	}

	function setAdmissionSelectionTakePlace($astp)
	{
		$this->seminar["admission_selection_take_place"] = $astp;
	}

	function getAdmissionSelectionTakePlace()
	{
		return $this->seminar["admission_selection_take_place"];
	}

	function setAdmissionGroup($ag)
	{
		$this->seminar["admission_group"] = $ag;
	}

	function getAdmissionGroup()
	{
		return $this->seminar["admission_group"];
	}

	function setAdmissionPrelim($ap)
	{
		$this->seminar["admission_prelim"] = $ap;
	}

	function getAdmissionPrelim()
	{
		return $this->seminar["admission_prelim"];
	}

	function setAdmissionPrelimText($pt)
	{
		$this->seminar["admission_prelim_text"] = $pt;
	}

	function getAdmissionPrelimText()
	{
		return $this->seminar["admission_prelim_text"];
	}

	function setAdmissionStartTime($ast)
	{
		$this->seminar["admission_starttime"] = $ast;
	}

	function getAdmissionStartTime()
	{
		return $this->seminar["admission_starttime"];
	}

	function setAdmissionEndTimeSem($aets)
	{
		$this->seminar["admission_endtime_sem"] = $aets;
	}

	function getAdmissionEndTimeSem()
	{
		return $this->seminar["admission_endtime_sem"];
	}

	function setVisible($visible)
	{
		$this->seminar["visible"] = $visible;
	}

	function getVisible()
	{
		return $this->seminar["visible"];
	}

	function setShowScore($ss)
	{
		$this->seminar["showscore"] = $ss;
	}

	function getShowScore()
	{
		return $this->seminar["showscore"];
	}

	function setModules($modules)
	{
		$this->seminar["modules"] = $modules;
	}

	function getModules()
	{
		return $this->seminar["modules"];
	}

	// alle Methoden fuer seminar_sem_tree
	function addSeminarSemTree($sem_tree_name = "", $sem_tree_id = "")
	{
		$this->seminar_sem_tree[] = array("sem_tree_name" => $sem_tree_name, "sem_tree_id" => $sem_tree_id);
	}

	function nextSeminarSemTree()
	{
		$ret = current($this->seminar_sem_tree);
		next($this->seminar_sem_tree);
		return $ret;
	}

	function getAllSeminarSemTree()
	{
		return $this->seminar_sem_tree;
	}

	function resetSeminarSemTree()
	{
		reset($this->seminar_sem_tree);
	}

	function deleteSeminarSemTree($sem_tree_id)
	{
		$helper = array();
		foreach($this->seminar_sem_tree as $val)
		{
			if($val["sem_tree_id"] != $sem_tree_id)
			{
				$helper[] = $val;
			}
		}
		$this->seminar_sem_tree = $helper;
	}

	// alle Methoden fr seminar_inst
	function setSeminarInst($sem_inst_array)
	{
		$this->seminar_inst = $sem_inst_array;
	}

	function getSeminarInst()
	{
		return $this->seminar_inst;
	}

	// nun noch Methoden fr die generischen Datenfelder
	function setGenericComplete($d_fields)
	{
		$this->generic = $d_fields;
	}

	// leider kann man in php die Methoden nicht durch ihre Argumtente unterscheiden,
	//daher gibts diese Funktion 2mal
	function setGeneric($key, $val)
	{
		$this->generic[$key] = $val;
	}

	function getGeneric($key)
	{
		return $this->generic[$key];
	}

	// sonstiges


	function setNumbers($string)
	{
		$this->sonst .= $string;
	}

	function getNumbers()
	{
		return $this->sonst;
	}
}
?>