<?
/**
 * UniReader.class.php
 *
 * lange Beschreibung...
 *
 * PHP version 5
 *
 * @author  	Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @author		Mark Sievers <msievers@uos.de>
 * @package 	IBIT_ModulVerwaltungPlugin
 * @copyright 	2008 IBIT
 * @license 	http://www.gnu.org/licenses/gpl.html GPL Licence 3
 * @version 	0.1
 */

/**
 * Enter description here...
 *
 */
class StorageVector
{
	public $storage_array;

	public function __construct()
	{
		$this->storage_array = array();
	}

	function add($storage)
	{
		$this->storage_array[] = $storage;
	}

	function update($storage, $va_number)
	{
		foreach($this->storage_array as $key=>$val)
		{
			if($val->getVeranstaltungsNummer() == $va_number)
			{
				$allDozent = $storage->getAllDozent();
				foreach($allDozent as $val2)
				{
					$this->storage_array[$key]->addDozent($val2["name"]);
				}
				$this->storage_array[$key]->setNumbers ( $this->storage_array[$key]->getNumbers () . "/" . $storage->getVeranstaltungsNummer () );
				$allSeminarSemTree = $storage->getAllSeminarSemTree (); // nicht vorhandenen sem_tree Eintrag hinzufuegen
				$existingSeminarSemTree = $this->storage_array[$key]->getAllSeminarSemTree ();
				// schaue nach, ob es den Eintrag schon gibt
				foreach($allSeminarSemTree as $val2)
				{
					$is_in = FALSE;
					foreach($existingSeminarSemTree as $val3)
					{
						if($val2["sem_tree_name"] == $val3["sem_tree_name"])
						{
							// Eintrag vorhanden => nicht hinzufuegen
							$is_in = TRUE;
						}
					}
					if(! $is_in)
					{
						$this->storage_array[$key]->addSeminarSemTree ( $val2["sem_tree_name"] ); // nicht vorhanden => Eintrag hinzufuegen
					}
				}
			}
		}
	}

	function getNext()
	{
		$ret = current ( $this->storage_array );
		next ( $this->storage_array );
		return $ret;
	}

	function getAll()
	{
		return $this->storage_array;
	}

	function setVaNumbers()
	{
		foreach($this->storage_array as $key=>$val)
		{
			$string = "";
			$this->storage_array[$key]->setVeranstaltungsNummer ( $val->getVeranstaltungsNummer () . $val->getNumbers () );
			$help = explode ( "/", $this->storage_array[$key]->getVeranstaltungsNummer () );
			$new_ar = array_unique ( $help );
			foreach($new_ar as $val2)
			{
				$string .= $val2 . "/";
			}
			$string = substr ( $string, 0, strlen ( $string ) - 1 );
			$this->storage_array[$key]->setVeranstaltungsNummer ( $string );
		}
	}

}

?>
