<?php
/**
 * UniWriter.class.php
 *
 * lange Beschreibung...
 *
 * PHP version 5
 *
 * @author  	Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @author		Mark Sievers <msievers@uos.de>
 * @package 	IBIT_ModulVerwaltungPlugin
 * @copyright 	2008 IBIT
 * @license 	http://www.gnu.org/licenses/gpl.html GPL Licence 3
 * @version 	0.1
 */
//Imports
require_once 'Writer.class.php';

/**
 * Enter description here...
 *
 */
class UniWriter extends Writer
{
	public $starttime;
	public $storage_array;
	public $current_sem_id;

	function __construct($starttime, $storage_vector)
	{
		parent::__construct();
		$this->starttime = $starttime;
		$this->storage_vector = $storage_vector;
	}

	/**
	 * Enter description here...
	 *
	 * @param unknown_type $seminar
	 */
	function setSeminar($seminar)
	{
		$sql_key_string = "(";
		$sql_val_string = "(";
		foreach($seminar as $key=>$val)
		{
			$sql_key_string .= $key . ",";
			$sql_val_string .= "'" .$val. "',";
		}
		$sql_key_string = substr($sql_key_string, 0, strlen($sql_key_string) - 1);
		$sql_val_string = substr($sql_val_string, 0, strlen($sql_val_string) - 1);
		$sql_key_string .= ")";
		$sql_val_string .= ")";
		$sql = "INSERT INTO seminare " . $sql_key_string . " VALUES " . $sql_val_string;
		try {
			$db = DBManager::get();
			$db->query($sql);
		} catch (PDOException $e)
		{
			StudIPTemplateEngine::showErrorMessage("Fehler: " . $e->getMessage());
		}
		#echo "setSeminar() fertig<br/>";
	}

	/**
	 * Enter description here...
	 *
	 * @param unknown_type $sem_tree
	 */
	function setSeminarSemTree($sem_tree)
	{
		foreach($sem_tree as $val)
		{
			$sql = "INSERT INTO seminar_sem_tree (sem_tree_id, seminar_id) VALUES ('" . $val["sem_tree_id"] . "','" . $this->current_sem_id . "')";
			try {
				$db = DBManager::get();
				$db->query($sql);
			} catch (PDOException $e)
			{
				StudIPTemplateEngine::showErrorMessage("Fehler: " . $e->getMessage());
			}
		}
	}

	/**
	 * Enter description here...
	 *
	 * @param unknown_type $dozenten
	 */
	function setDozenten($dozenten)
	{
		foreach($dozenten as $val)
		{
			$sql = "INSERT INTO seminar_user (Seminar_id, user_id, status, visible) VALUES ('".$this->current_sem_id."', '".$val["id"]."', 'dozent', 'yes');";
			try {
				$db = DBManager::get();
				$db->query($sql);
			} catch (PDOException $e)
			{
				StudIPTemplateEngine::showErrorMessage("Fehler: " . $e->getMessage());
			}
		}
	}

	function setSeminarInst($seminar_insts)
	{
		foreach($seminar_insts as $seminar_inst)
		{
			$sql = "INSERT INTO seminar_inst " . "(seminar_id, institut_id) " . "VALUES " . "('" . $this->current_sem_id . "','" . $seminar_inst . "')";
			try {
				$db = DBManager::get();
				$db->query($sql);
			} catch (PDOException $e)
			{
				StudIPTemplateEngine::showErrorMessage("Fehler: " . $e->getMessage());
			}
		}
	}

	function setGeneric($d_fields)
	{
		$sql_key_string = "(range_id,";
		$sql_val_string = "('" . $this->current_sem_id . "',";
		foreach($d_fields as $key=>$val)
		{
			$sql_key_string .= $key . ",";
			$sql_val_string .= "'" . addslashes($val) . "',";
		}
		$sql_key_string = substr($sql_key_string, 0, strlen($sql_key_string) - 1);
		$sql_val_string = substr($sql_val_string, 0, strlen($sql_val_string) - 1);
		$sql_key_string .= ")";
		$sql_val_string .= ")";
		$sql = "INSERT INTO datafields_entries ".$sql_key_string." VALUES ".$sql_val_string;

		try {
			$db = DBManager::get();
			$db->query($sql);
		} catch (PDOException $e)
		{
			StudIPTemplateEngine::showErrorMessage("Fehler: " . $e->getMessage());
		}
	}

	function getSemesterId($beginn)
	{
		$db = DBManager::get();
		$sql = "SELECT semester_id FROM semester_data WHERE beginn='".$beginn."';";
		$result = $db->query($sql);
		// nicht sicher ob das hier so geht!!!
		$result->nextRowset();
		$row = $result->fetch(PDO::FETCH_ASSOC);
		return $row["semester_id"];
	}

	/**
	 * Die Funktion speichert die Daten in die DB.
	 *
	 */
	function initWrite()
	{
		// fuer das Eintragen in die semester_seminar_order-Tabelle brauchen wir
		//noch die ID des Semesters
		foreach($this->storage_vector->storage_array as $val)
		{
			$this->current_sem_id = $val->getSeminarId();
			$this->setSeminar($val->seminar);
			$this->setSeminarSemTree($val->seminar_sem_tree);
			$this->setDozenten($val->dozent);
			$this->setSeminarInst($val->seminar_inst);
			foreach($val->generic as $val2)
			{
				$this->setGeneric($val2);
			}
		}
	}
}

?>
