<?php
/**
* 5_add_config_zeiten_professionalisierungsbereich.php
*
* Migration: Zustzliche Konfiguration fr Zeiten des Professionalisierungsbereichs.
*
* @author	Peter Thienel, data-quest Suchi & Berg GmbH <thienel@data-quest.de>
*
*/

// +---------------------------------------------------------------------------+
// This file is part of Stud.IP plug in LVPPlugin
//
// Copyright (C) Peter Thienel,
// data-quest Suchi & Berg GmbH <thienel@data-quest.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+


class AddConfigZeitenProfessionalisierungsbereich extends DBMigration
{
	public function description()
	{
		return 'Datenbanknderungen fr zustzliche Konfigurationsoption zur Angabe der Zeiten des Professionalisierungsbereichs.';
	}

	public function up()
	{
		DBManager::Get()->exec("INSERT IGNORE INTO config VALUES (MD5('LVP_ZEITEN_PB') , '', 'LVP_ZEITEN_PB', '', 1, 'string', 'global', '', 0, UNIX_TIMESTAMP(), UNIX_TIMESTAMP(), 'LVP-Plugin: Zeiten des Professionalisierungsbereichs. Angabe von beliebig vielen Zeiten im Format: Wochentag (So. 0 bis Sa. 6),Startst.,Startm.,Endst.,Endm.;... (z.B. 2,08,00,10,00;)', '', '')");
	}

	public function down ()
	{
		DBManager::Get()->exec("DELETE FROM config WHERE config_id = MD5('LVP_ZEITEN_PB')");
	}

}