<?php
/**
* 6_add_field_conflicts_fach_nr.php
*
* Migration: Zustzliches Feld fach_nr in Tabelle plugin_lvp_conflict.
*
* @author	Peter Thienel, data-quest Suchi & Berg GmbH <thienel@data-quest.de>
*
*/

// +---------------------------------------------------------------------------+
// This file is part of Stud.IP plug in LVPPlugin
//
// Copyright (C) Peter Thienel,
// data-quest Suchi & Berg GmbH <thienel@data-quest.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+


class AddFieldConflictsFachNr extends DBMigration
{

	function description()
	{
		return 'Datenbanknderungen fr zustzliches Feld fach_nr in der Tabelle plugin_lvp_conflict.';
	}

	function up ()
	{
		DBManager::get()->exec("ALTER TABLE plugin_lvp_conflict ADD fach_nr INT(1) NOT NULL DEFAULT '0' AFTER termin2_id");
		DBManager::get()->exec("ALTER TABLE plugin_lvp_conflict ADD INDEX (fach_nr)");
	}

	function down ()
	{
		DBManager::get()->exec("ALTER TABLE plugin_lvp_conflict DROP INDEX fach_nr");
		DBManager::get()->exec("ALTER TABLE plugin_lvp_conflict DROP fach_nr");
	}

}