<?php
/**
* 7_change_dauer_in_moduldeskriptor.php
*
* Migration: Zustzliches Feld fach_nr in Tabelle plugin_lvp_conflict.
*
* @author   Michael Riehemann
*
*/


class ChangeDauerInModuldeskriptor extends DBMigration
{

    function description()
    {
        return 'Datenbanknderungen fr das Feld Dauer in modul_deskriptor';
    }

    function up ()
    {
        DBManager::get()->exec("UPDATE `modul_deskriptor` SET `dauer` = '1' WHERE `dauer` = '1 Semester'");
        DBManager::get()->exec("UPDATE `modul_deskriptor` SET `dauer` = '2' WHERE `dauer` = '2 Semester'");
        DBManager::get()->exec("UPDATE `modul_deskriptor` SET `dauer` = '3' WHERE `dauer` = '3 Semester'");
        DBManager::get()->exec("ALTER TABLE `modul_deskriptor` MODIFY COLUMN `dauer` INT(1) UNSIGNED;");
    }

    function down ()
    {
        DBManager::get()->exec("ALTER TABLE `modul_deskriptor` MODIFY COLUMN `dauer` VARCHAR(30);");
    }

}