<form id="bereich_form" action="<?=$links['submit']?>" method="post">
<table style="width: 100%;" cellspacing="0" cellpadding="2">
	<colgroup>
		<col width="2%"/>
		<col width="73%"/>
		<col width="25%"/>
	</colgroup>
	<thead>
		<tr style="text-align: left;">
			<th colspan="3">
				<div style="float: right;">
					<label for="lehreinheit">
						<?=_('Lehreinheit')?>:
					</label>
					<select id="lehreinheit" name="lehreinheit" class="onchange_submit">
					<?php foreach ($lehreinheiten as $id => $name): ?>
						<option value="<?=$id?>" <?=$id==$lehreinheit?'selected="selected"':''?>><?=$name?></option>
					<?php endforeach; ?>
					</select>
					<?=makebutton('anzeigen', 'input', '', 'change_semester')?>
				</div>
				<a href="<?=$links['create']?>">
					<img <?=makebutton('neuanlegen', 'src')?> style="vertical-align: middle;"/>
				</a>
			</th>
		</tr>
	</thead>
	<tbody>
	<?php $iterator = 0; foreach ($bereiche as $id => $name): ?>
		<tr class="<?=$iterator++%2?'steelgraulight':'steel1'?>">
			<td>
				<input type="checkbox" name="bereich_ids[]" value="<?=$id?>"/>
			</td>
			<td><?=$name?></td>
			<td style="text-align: right;">
				<a href="<?=sprintf($links['edit'], $id)?>">
					<img src="<?=Assets::Image_Path('edit_transparent.gif')?>" alt="<?=_('bearbeiten')?>"/>
				</a>
			</td>
		</tr>
	<?php endforeach; ?>
	<?php if (empty($bereiche)): ?>
		<tr class="steel1">
			<td colspan="3" style="text-align: center;">- <?=_('Keine eingetragenen Bereiche')?> -</td>
		</tr>
	<?php endif; ?>
	</tbody>
	<tfoot>
		<tr class="steel2">
			<td colspan="3">
				<div style="float: right;">
					<?=_('Markierte Bereiche')?>
					<select id="bereich_action" name="action">
						<option value="-1">- <?=_('Bitte eine Aktion auswhlen')?> -</option>
						<option value="delete"><?=_('lschen')?></option>
					</select>
					<?=makebutton('weiter', 'input')?>
				</div>
				<?=_('Alle Bereiche')?>
				<input id="check_all" type="checkbox" checked="checked" class="check_toggle" rel="bereich_ids[]"/>
				<label for="check_all"><?=_('markieren')?></label>
				/
				<input id="check_none" type="checkbox" class="check_toggle" rel="bereich_ids[]"/>
				<label for="check_none"><?=_('nicht markieren')?></label>
			</td>
		</tr>
	</tfoot>
</table>
</form>

<script type="text/javascript">
//<![CDATA[
Event.observe(document, 'dom:loaded', function() {
	$('bereich_form').observe('submit', function(event) {
		if (!$$('input[type=checkbox][name="bereich_ids[]"]:checked').length) {
			event.stop();
			return false;
		}
		if ($F('bereich_action')=='delete' && !confirm('<?=_('Wollen Sie die markierten Bereiche wirklich loeschen?')?>')) {
			event.stop();
			return false;
		}
	});
});
//]]>
</script>