<table style="width: 100%; background-color: #fff;" cellpadding="5" cellspacing="0">
	<colgroup>
		<col/>
		<col width="270px"/>
	</colgroup>
	<tr style="vertical-align: top;">
		<td>

<form action="<?=$links['submit']?>" method="post">
<table style="background-color: #fff; width: 100%;" cellspacing="0" cellpadding="2">
	<colgroup>
		<col width="50%"/>
		<col width="50%"/>
	</colgroup>
	<tr>
		<td style="text-align: right;" colspan="2">
			<a href="<?=$links['reset']?>">
				<?=makebutton('zuruecksetzen', 'img')?>
			</a>
		</td>
	</tr>
	<tr class="steel1" style="text-align: center;">
		<td colspan="2">
			<label for="semester">
				<?=_('Semester')?>:
			</label>
			<select id="semester" name="semester">
				<option value="0" <?=empty($semester)?'selected="selected"':''?>>- <?=_('Alle Semester')?> -</option>
			<?php foreach (ModuleHelper::GetSemesters() as $id=>$name): ?>
				<option value="<?=$id?>" <?=(isset($semester) and $semester==$id)?'selected="selected"':''?>><?=$name?></option>
			<?php endforeach; ?>
			</select>

			<label for="fachsemester">
				<?=_('Empfohlenes Fachsemester')?>:
			</label>
			<select id="fachsemester" name="fachsemester">
				<option value="0" <?=empty($fachsemester)?'selected="selected"':''?>>- <?=_('Alle Fachsemester')?> -</option>
			<?php for ($i=1; $i<=10; $i++): ?>
				<option <?=(isset($fachsemester) and $fachsemester==$i)?'selected="selected"':''?>><?=$i?></option>
			<?php endfor; ?>
			</select>

			<?=makebutton('auswaehlen', 'input')?>
		</td>
	</tr>
	<tr class="steel1" style="text-align: center;">
		<td colspan="2">
			<input type="text" size="45" id="needle" name="needle" value="<?=@$needle?>" style="background: #fff url(<?=Assets::image_path('suchen.gif')?>) no-repeat right center; padding: 3px 20px 3px 3px;"/>
			<?=makebutton('suchestarten', 'input')?>
		</td>
	</tr>
<?php if (isset($results)): ?>
	<tr class="steelgraulight" style="font-weight: bold;">
		<td colspan="2">
		<?php if (empty($results)): ?>
			<?=_('Ihre Suche ergab keine Treffer')?>
		<?php else: ?>
			<?=sprintf('Ihre Suche ergab %s Treffer', number_format($result_count,0,',','.'))?>
		<?php endif; ?>
		</td>
	</tr>

	<?=$this->render_partial('ma_catalog_modules', array('data'=>$results, 'current_semester'=>$semester, 'display_path'=>true))?>
<?php else: ?>
	<tbody class="steelgraulight">
		<tr>
			<td style="font-weight: bold;">
				<?=_('Studiengnge')?>:
			</td>
			<td style="text-align: right;">
			<?php if (count($path)==1): ?>
				<a href="<?=$links['root']?>">
					<?=Assets::Img('move_left.gif')?>
					<?=_('eine Ebene zurck')?>
				</a>
			<?php elseif (count($path)>1): ?>
				<a href="<?=sprintf($links['node'], $path[count($path)-2]['sem_tree_id'])?>">
					<?=Assets::Img('move_left.gif')?>
					<?=_('eine Ebene zurck')?>
				</a>
			<?php else: ?>
				&nbsp;
			<?php endif; ?>
			</td>
		</tr>
		<tr>
			<td colspan="2" style="border-bottom: 1px solid black;">
				&gt; <a href="<?=$links['root']?>"><?=$GLOBALS['UNI_NAME_CLEAN']?></a>
				<?php foreach ($path as $node): ?>
				&gt; <a href="<?=sprintf($links['node'], $node['sem_tree_id'])?>"><?=$node['name']?></a>
				<?php endforeach; ?>
			</td>
		</tr>
	</tbody>
<?php if ($leaf): ?>
	<?php if (empty($leaf_data) or (!empty($semester) and empty($leaf_data[$semester]))): ?>
	<tbody class="steel1">
		<tr>
			<td colspan="2">
				<?=_('Es gibt keine Module auf dieser Ebene')?>
			</td>
		</tr>
	</tbody>
	<?php endif; ?>

	<?=$this->render_partial('ma_catalog_modules', array('data'=>$leaf_data, 'current_semester'=>$semester))?>

<?php else: ?>
	<tbody class="steel1 module_container">
		<tr style="vertical-align: top;">
		<?php if (empty($nodes)): ?>
			<td colspan="2">Auf dieser Ebene existieren keine weiteren Unterebenen.</td>
		<?php else: ?>
			<td>
			<?php foreach (array_slice($nodes, 0, ceil(count($nodes)/2)) as $node): ?>
				<a href="<?=sprintf($links['node'], $node['sem_tree_id'])?>"><?=$node['name']?></a> (<?=number_format($node['quantity'],0,',','.')?>)<br/>
			<?php endforeach; ?>
			</td>
			<td>
			<?php foreach (array_slice($nodes, ceil(count($nodes)/2)) as $node): ?>
				<a href="<?=sprintf($links['node'], $node['sem_tree_id'])?>"><?=$node['name']?></a> (<?=number_format($node['quantity'],0,',','.')?>)<br/>
			<?php endforeach; ?>
			</td>
		<?php endif; ?>
		</tr>
<?php endif; ?>
		<tr class="steelgraulight">
			<td colspan="2" style="text-align: center;">
				<?=number_format(array_reduce($nodes, create_function('$v, $w', 'return $v + $w["quantity"];'), 0),0,',','.')?>
				<?=_('Eintrge in allen Unterebenen vorhanden')?>
				|
				<?=number_format(count($assets),0,',','.')?>
				<?=_('Eintrge auf dieser Ebene')?>
			</td>
		</tr>
		<?php foreach ($assets as $seminar_id): $seminar = new Seminar($seminar_id); ?>
		<tr>
			<td colspan="2" style="border-bottom: 1px solid #ccc;">
				<a href="<?=URLHelper::GetLink('details.php?sem_id='.$seminar_id)?>">
					<?=$seminar->getName()?>
				</a>
				<br/>
				<span style="float: right;">
					(
					<?php $index = 0; foreach ($seminar->getMembers() as $user_id=>$data): ?>
						<?=$index++?', ':''?>
						<a href="<?=URLHelper::GetLink('about.php?username='.$data['username'])?>">
							<?=$data['Nachname']?>, <?=$data['Vorname']{0}?>.
						</a>
					<?php endforeach; ?>
					)
				</span>
				<small>
					<?=$seminar->seminar_number?><br/>
					<?=$seminar->getFormattedTurnus(true)?><br/>
				</small>
			</td>
		</tr>
		<?php endforeach; ?>
	</tbody>
<?php endif; ?>
</table>

<?php if (!empty($_REQUEST['node'])): ?>
<input type="hidden" name="node" value="<?=$_REQUEST['node']?>"/>
<?php endif; ?>

</form>

		</td>
		<td>
			<?php print_infobox ($infobox, "browse.jpg"); ?>
		</td>
	</tr>
</table>
<script type="text/javascript">
//<![CDATA[
$(document).observe('dom:loaded', function() {
	if ($('needle')) {
		$('needle').focus();
	}

	$$('tbody.semester:not(.current)').each(function(item) {
		item.down('.semester.visible').hide().siblings('.hidden').invoke('show');
		item.down('tr').siblings().invoke('hide');
	});
	$$('tr.module').each(function(item) {
		item.down('.visible').hide().siblings('.hidden').invoke('show');
		var row = item.next();
		while (row && !row.match('.module')) {
			row = row.hide().next();
		}
	});
	$$('tbody.semester.current .module.open_all, tbody.semester.current .module.close_all,tbody.semester.current .module.options').invoke('show');
	$$('tbody.semester:not(.current) .module.open_all, tbody.semester:not(.current) .module.close_all,tbody.semester:not(.current) .module.options').invoke('hide');

	$$('.module.link').invoke('wrap', 'a', {href : '#', 'class' : 'module link'});
	$$('.semester.link').invoke('wrap', 'a', {href : '#', 'class' : 'semester link'});
	$$('.module.open_all, .module.close_all').invoke('wrap', 'a', {href : '#', 'class' : 'module open_all'});
});
//]]>
</script>