<?php $first=0; foreach ($data as $semester_id=>$row): ?>
<?php if (empty($current_semester) or $current_semester==$semester_id): ?>
<tbody class="steel1 semester <?=$semester_id==ModuleHelper::GetCurrentSemester()?'current':''?> module_container">
	<tr>
		<td colspan="2" class="steelgroup6" style="border-bottom: 1px solid #888; font-size: 1.1em; <?=$first++?'':'border-top: 1px solid #888;'?>">
			<span style="display: none; float: right; font-size: 0.8em;" class="module options">
				<?=_('Alle')?>
				<span class="module open_all" style="display: none; padding: 2px 2px 2px 20px; background: url(<?=Assets::image_path('cont_folder4.gif')?>) no-repeat 0 -4px;">
					<?=_('ffnen')?>
				</span>
				<span class="module close_all" style="display: none; padding: 2px 2px 2px 20px; background: url(<?=Assets::image_path('cont_folder2.gif')?>) no-repeat 0 -4px;">
					<?=_('schliessen')?>
				</span>
			</span>
			<?=Assets::Img('forumgrau.gif', array('class'=>'semester hidden', 'style'=>'display: none; vertical-align: middle; position: relative; top: -4px; padding: 0 2px 0 3px;'))?>
			<?=Assets::Img('forumgraurunt.gif', array('class'=>'semester visible', 'style'=>'vertical-align: middle;'))?>
			<span class="semester link" style="font-weight: bold;"><?=ModuleHelper::GetSemesterName($semester_id)?></span>
		</td>
	</tr>
<?php endif; ?>

<?php if (!empty($current_semester) and $current_semester!=$semester_id) continue; ?>

	<?php foreach ($row as $modul_abst_id=>$module_data): $module = ModuleDB::Load($modul_abst_id); ?>
	<tr class="module">
		<td colspan="2" class="steelgroup0" style="font-size: 1.05em; border-bottom: 1px solid #888; <?=$first++?'':'border-top: 1px solid #888;'?>">
			<?=Assets::Img('calendar_next_small.gif', array('class'=>'module hidden', 'style'=>'display: none; vertical-align: middle; padding: 0 1px;'))?>
			<?=Assets::Img('calendar_down_small.gif', array('class'=>'module visible', array('style'=>'vertical-align: middle;')))?>

			<span class="module link" style="font-weight: bold;"><?=ModuleHelper::GetModuleName($module)?></span>
			<?=StudienmodulManagement::getModuleInfoHTML($modul_abst_id, $semester_id)?>
			<?php if (!empty($display_path)): ?>
			<br/>
			<small style="padding-left: 16px;">
				<?=ModuleHelper::GetLehreinheitName($module['lehreinheit_id'])?>
				/
				<?=ModuleHelper::GetFachName($module['fach_id'])?>
				/
				<?=ModuleHelper::GetAbschlussName($module['abschluss_id'])?>
			</small>
			<?php endif; ?>
		</td>
	</tr>
	<?php if (empty($module_data['seminars'])): ?>
		<tr>
			<td colspan="2" style="border-bottom: 1px solid #ccc; padding-left: 10px; text-align: center;">
				<?=_('Diesem Modul sind noch keine Veranstaltungen zugeordnet')?>
			</td>
		</tr>
	<?php endif; ?>
		<?php foreach ($module_data['seminars'] as $seminar_id): $seminar = new Seminar($seminar_id); ?>
		<?php if (!$seminar->isVisible()) continue; ?>
		<tr class="seminars">
			<td colspan="2">
				<a href="<?=URLHelper::GetLink('details.php?sem_id='.$seminar_id)?>">
					<?=$seminar->getName()?>
				</a>
				<br/>
				<span style="float: right;">
					(
					<?php $index = 0; foreach ($seminar->getMembers() as $user_id=>$user_data): ?>
						<?=$index++?', ':''?>
						<a href="<?=URLHelper::GetLink('about.php?username='.$user_data['username'])?>">
							<?=$user_data['Nachname']?>, <?=$user_data['Vorname']{0}?>.
						</a>
					<?php endforeach; ?>
					)
				</span>
				<small>
					<?=$seminar->seminar_number?><br/>
					<?=$seminar->getFormattedTurnus(true)?><br/>
				</small>
			</td>
		</tr>
		<?php endforeach; ?>
	<?php endforeach; ?>
</tbody>
<?php endforeach; ?>
