<form id="module_edit" action="<?=$links['submit']?>" method="post">
<table cellspacing="0" cellpadding="2" style="width: 100%;">
	<thead>
		<tr>
			<td class="topic"><b>
				<?=_('Bearbeiten von konkretem Modul')?>
				<em>
					<?=ModuleHelper::GetModuleName($module, true)?>
				</em>
				<?=_('im')?>
				<em><?=ModuleHelper::GetSemesterName($module['semester'])?></em></b>
			</td>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td class="steel2" style="text-align: center;">
				<span class="back" style="float: right;">
					<?=makebutton('vorschau', 'input', false, 'preview')?>
					<a href="<?=$links['back']?>"><?=makebutton('zurueck')?></a>
				</span>

				<span style="float: left;">
					<?=makebutton('absenden', 'input')?>
					<a href="<?=$links['back']?>"><?=makebutton('abbrechen')?></a>
				</span>
				
				<input type="hidden" name="module[komplett]" value="0"/>
				<input id="modul_komplett" type="checkbox" name="module[komplett]" value="1" <?=$module['komplett']?'checked="checked"':''?>/>
				<label for="modul_komplett"><?=_('vollstndig')?></label>

				<input type="hidden" name="module[aktiv]" value="0"/>
				<input id="modul_aktiv" type="checkbox" name="module[aktiv]" value="1" <?=$module['aktiv']?'checked="checked"':''?>/>
				<label for="modul_aktiv"><?=_('aktiv')?></label>
			</td>
		</tr>
	</tfoot>
	<tbody class="steel1">
	    <tr>
	       <td class="steel2" align="right">
                <?=makebutton('vorschau', 'input', false, 'preview')?>
                <a href="<?=$links['back']?>"><?=makebutton('zurueck')?></a>
	       </td>
	    </tr>
		<tr>
			<td>
			<?php if (count(array_diff($all_semesters, array($module['semester'])))): ?>
				<div style="float: right; width: 40%; border: 1px solid black; padding: 5px; background-color: #fff;">
					<strong><?=_('Daten aus einem anderen Semester laden')?>:</strong><br/>
					<select name="load_semester">
					<?php foreach (array_reverse(array_diff($all_semesters, array($module['semester'])), true) as $semester_id): ?>
						<option value="<?=$semester_id?>"><?=$semesters[ $semester_id ]?></option>
					<?php endforeach; ?>
					</select>
					<?=makebutton('starten', 'input', null, 'load_semester_data')?>
				</div>
			<?php endif; ?>
				<?php $iterator = 0; ?>
				<dl>
					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<?=_('Modultitel')?>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<?=$module['modulschluessel']?>
						<?=$module['modultitel']?>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<?=_('Semester')?>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<?=ModuleHelper::GetSemesterName($module['semester'])?>
					</dd>

					<dt class="<?=$iterator%2?'steelgraulight':''?> r<?=$iterator?> a<?=$iterator%2?>">
						<?=_('Prfungsordnung')?>
					</dt>
					<dd class="<?=$iterator%2?'steelgraulight':''?> r<?=$iterator?> a<?=$iterator++%2?>">
						<?=$module['pruef_version']?>
					</dd>
				</dl>				
				
				<h2><span><?=_('Grunddaten')?></span></h2>
				<dl>
					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<?=_('Institut')?>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
					<?php if ($root): ?>
						<select name="module[institut_id]">
						<?php foreach ($institutes as $institute_id => $name): ?>
							<option value="<?=$institute_id?>" <?=$module['institut_id']==$institute_id?'selected="selected"':''?>><?=$name?></option>
						<?php endforeach; ?>
						</select>
					<?php else: ?>
						<?=ModuleHelper::GetInstitutsName($module['institut_id'])?>
					<?php endif; ?>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="untertitel"><?=_('Untertitel')?></label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<input type="text" class="large" id="untertitel" name="module[deskriptor][untertitel]" value="<?=$module['deskriptor']['untertitel']?>" />
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="language_de"><?=_('Sprache der Darstellung')?></label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<input type="radio" id="language_de" name="module[deskriptor][language]" value="de" <?=$module['deskriptor']['language']=='de'?'checked="checked"':''?>/>
						<label for="language_de"><?=_('deutsch')?></label>
						<input type="radio" id="language_en" name="module[deskriptor][language]" value="en" <?=$module['deskriptor']['language']=='en'?'checked="checked"':''?>/>
						<label for="language_en"><?=_('englisch')?></label>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_mok">
							<?=('Modulkennziffer')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<input type="text" id="module_mok" name="module[mok]" value="<?=$module['mok']?>" <?=in_array('mok', $not_editable)?'readonly="readonly" class="readonly"':''?>/>
					</dd>
				</dl>
								
				<h2><span><?=_('Individuelle Angaben')?></span></h2>
				<dl>
					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<?=_('Schwerpunkte')?>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<ul id="module_schwerpunkte" class="me_list">
						<?php $i=0; foreach (ModuleDB::GetSchwerPunkte($module['stamm_lehreinheit']) as $id => $name): ?>
							<li>
								<input id="schwerpunkt<?=$i?>" type="checkbox" name="module[schwerpunkte][]" value="<?=$id?>" <?=in_array($id, $module['schwerpunkte'])?'checked="checked"':''?>/>
								<label for="schwerpunkt<?=$i++?>"><?=$name?></label>
							</li>
						<?php endforeach; ?>
						</ul>
					</dd>				

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<?=_('Bereiche')?>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<ul id="module_bereiche" class="me_list">
						<?php $i=0; foreach (ModuleDB::GetBereiche($module['stamm_lehreinheit']) as $id => $name): ?>
							<li>
								<input id="bereich<?=$i?>" type="checkbox" name="module[bereiche][]" value="<?=$id?>" <?=in_array($id, $module['bereiche'])?'checked="checked"':''?>/>
								<label for="bereiche<?=$i++?>"><?=$name?></label>
							</li>
						<?php endforeach; ?>
						</ul>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_dauer">
							<?=_('Dauer')?>
						</label>
					</dt>
					<dd class="r<?=i?> a<?=$iterator++%2?>">
						<select name="module[deskriptor][dauer]" id="module_dauer">
						<?php for ($i=1; $i<=3; $i++): ?>
							<option <?=$module['deskriptor']['dauer']==($i.' Semester')?'selected="selected"':''?> value="<?=$i?>"><?=$i?> Semester</option>
						<?php endfor; ?>
						</select>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_turnus">
							<?=_('Turnus')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<select name="module[deskriptor][turnus]" id="module_turnus">
						<?php foreach (array('halbjhrlich','jhrlich','im 2-Jahres-Zyklus','unregelmig') as $turnus): ?>
							<option <?=$turnus==$module['deskriptor']['turnus']?'selected="selected"':''?>><?=$turnus?></option>
						<?php endforeach; ?>
						</select>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_type">
							<?=_('Modulart')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<select name="module[deskriptor][typ_id]" id="module_type">
						<?php foreach (ModuleDB::GetType() as $type_id => $name): ?>
							<option value="<?=$type_id?>" <?=$type_id==$module['deskriptor']['typ_id']?'selected="selected"':''?>><?=$name?></option>
						<?php endforeach; ?>
						</select>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_level">
							<?=_('Level')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<select name="module[deskriptor][level_id]" id="module_level">
						<?php foreach (ModuleDB::GetLevel() as $level_id => $name): ?>
							<option value="<?=$level_id?>" <?=$level_id==$module['deskriptor']['level_id']?'selected="selected"':''?>><?=$name?></option>
						<?php endforeach; ?>
						</select>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<?=_('Modul sollte besucht werden im')?>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
					<?php if (!empty($module['belegungszeitpunkt'])): ?>
						<blockquote style="width: 50%; float: right;">
							<strong><?=_('Weitere Informationen zum Belegungszeitpunkt aus dem LVP')?></strong>:
							<p>
								<?=$module['belegungszeitpunkt']?>
							</p>
							<small>(<?=_('Bitte beachten')?>: <?=_('Diese Informationen werden in dieser Form nicht mehr verwendet. Nur die links stehenden Angaben werden ausgewertet')?>.)</small>
						</blockquote>
					<?php endif; ?>
						<ul class="me_list">
						<?php for ($i=1; $i<=10; $i++): ?>
							<li>
								<input type="checkbox" id="fachsemester<?=$i?>" name="module[fachsemester][]" value="<?=$i?>" <?=in_array($i, $module['fachsemester'])?'checked="checked"':''?>/>
								<label for="fachsemester<?=$i?>">
									<?=$i?>. Semester
								</label>
							</li>
						<?php endfor; ?>
						<?php if (!in_array('fachsemester_more', $not_editable)): ?>
							<li class="last">
								<label for="fachsemester_more">
									<?=_('Andere / weitere Angaben')?>:
								</label>
								<input type="text" id="fachsemester_more" name="module[deskriptor][belegungszeitpunkt]" value="<?=$module['deskriptor']['belegungszeitpunkt']?>" maxlength="100"/>
							</li>
						<?php endif; ?>
						</ul>

						<blockquote class="small">
							<?=_('Whlen Sie die Semester aus, in dem das Modul besucht werden soll'/* und notieren Sie ggf. einen Kommentar (maximal 100 Zeichen), wenn noch andere Semester mglich sind*/)?>.
						</blockquote>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<?=_('Lehrsprache')?>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<ul class="me_list">
						<?php $i=0; foreach (ModuleDB::GetSprachen() as $id => $name): ?>
							<li>
								<input type="checkbox" id="sprache<?=$i?>" name="module[sprachen][]" value="<?=$id?>" <?=in_array($id, $module['sprachen'])?'checked="checked"':''?>/>
								<label for="sprache<?=$i++?>">
									<?=$name?>
								</label>
							</li>
						<?php endforeach; ?>
						</ul>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_kp">
							<?=_('Erreichbare Kredit-Punkte')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<input type="text" id="module_kp" name="module[kp]" maxlength="5" value="<?=($module['kp']+0)?>" <?=in_array('kp', $not_editable)?'readonly="readonly" class="readonly"':''?>/>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="__workload">
							<?=_('Workload')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<input type="text" id="__workload" value="<?=$module['kp']*30?>" readonly="readonly" <?=in_array('kp', $not_editable)?'class="readonly"':''?>/>
						<br/>

						<blockquote class="small">
							<?=_('Wird fr die Ausgabe automatisch berechnet')?> (<em><?=_('Kreditpunkte')?> * 30</em>).
						</blockquote>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<?=('Prsenzzeit')?>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<blockquote class="small">
							<?=_('Der Wert fr die Prsenzzeit wird automatisch aus der Summe der hier eingetragenen <strong>Semesterwochenstunden</strong> berechnet (SWS * 14 Wochen)')?>.<br/>
							<?=_('Bitte jede Veranstaltungsart nur einmal mit der Summe aller SWS fr diese Veranstaltungsart auffhren (z.B. "4V" statt "2V / 2V")')?>.
						</blockquote>

						<span id="pz_template" style="display: none;">
							<?=$this->render_partial('ma_pz_template', array('template'=>true))?>
						</span>

						<ul id="pz_list" class="me_list">
						<?php $i=0; foreach ($module['lehrformen'] as $lehrform): ?>
							<li>
								<?=$this->render_partial('ma_pz_template', array_merge(array('index'=>$i++), $lehrform))?>
							</li>
						<?php endforeach; ?>
							<li class="option">
								<a href="#" id="pz_add">
									<img src="<?=Assets::image_path('plus.gif')?>" alt="[+]"/>
									<?=_('Weitere Veranstaltungsart hinzufgen')?>
								</a>
							</li>
						</ul>

						<blockquote class="small">
							<em><?=_('Abkrzungen')?>:</em>
							<ul class="small abbreviations">
							<?php foreach (ModuleDB::GetVeranstaltungsTypen() as $type): ?>
								<li>
									<?=$type['kuerzel']?>: <?=$type['bezeichnung']?>
								</li>
							<?php endforeach; ?>
							</ul>
						</blockquote>

						<p>
							<label for="module_praesenzzeit">
								<?=_('Besonderer Wert fr die Prsenzzeit')?>:
							</label>
							<input type="text" name="module[deskriptor][praesenzzeit]" id="module_praesenzzeit" value="<?=$module['deskriptor']['praesenzzeit']?>"/>
							<?=_('Stunden')?>
							<small>(<?=_('Gesamtstunden fr das ganze Semester')?>)</small>
						</p>

						<blockquote class="small">
							<strong><?=_('Hinweis')?>:</strong>
							<?=_('Dieses Feld nur ausfllen, wenn dieser Wert nicht ber die Formel "SWS * 14 Wochen" automatisch berechnet werden soll')?>.
						</blockquote>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<?=_('Personen')?>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">

						<div style="float: right; width: 60%; border: 1px dotted #444; padding: 10px; position: relative; z-index: 10;">
							<select id="autocomplete_all" style="float: right; width: 50%; display: none;">
							</select>

							<dl>
								<dt>
									<label for="autocomplete"><?=_('Person')?></label>
								</dt>
								<dd>
									<input type="text" id="autocomplete" name="name"/>
									<div id="autocomplete_choices" class="autocomplete"></div>
									<input type="hidden" id="autocomplete_user_id" value=""/>
								</dd>
								<dt>
									<label for="person_type_<?=key($verantwortliche)?>"><?=_('Verantwortung')?></label>
								</dt>
								<dd>
								<?php foreach ($verantwortliche as $id => $description): ?>
									<input type="radio" id="person_type_<?=$id?>" name="person_type" value="<?=$id?>"/>
									<label for="person_type_<?=$id?>">
										<?=$description?>
									</label>
									<br/>
								<?php endforeach; ?>
								</dd>
							</dl>
							<img id="person_add" src="<?=Assets::Image_Path('move_left.gif')?>" alt="<?=_('Person hinzufgen')?>" title="<?=_('Person hinzufgen')?>"/>
						</div>

						<dl>
						<?php foreach ($verantwortliche as $id => $description): ?>
							<dt>
								<?=_($description)?>
							</dt>
							<dd>
								<ul id="person_type_list_<?=$id?>" class="persons">
								<?php if (!empty($module['verantwortliche'][$id])): ?>
									<li class="empty" style="display: none;"><?=_('noch keine Zuordnung')?></li>
								<?php foreach ($module['verantwortliche'][$id] as $user_id=>$name): ?>
									<li rel="<?=$user_id?>">
										<?=$name?>
										<input type="hidden" name="module[persons][<?=$id?>][]" value="<?=$user_id?>"/>
										<span class="options">
											<a href="#" class="person_remove">
												<?=Assets::img('trash2.gif', array('title'=>_('Eintrag entfernen')))?>
											</a>
										</span>
									</li>
								<?php endforeach; ?>
								<?php else: ?>
									<li class="empty"><?=_('noch keine Zuordnung')?></li>
								<?php endif; ?>
								</ul>
							</dd>
						<?php endforeach; ?>
							<dt>
								<?=_('Weiterhin prfungsberechtigt')?>
							</dt>
							<dd>
								<select name="module[pruef_links]">
									<option value="-1" <?=empty($module['pruef_links'])?'':'selected="selected"'?>>- <?=_('kein Eintrag')?> - </option>
								<?php foreach (ModuleHelper::GetPruefungsberechtigte() as $index => $item): ?>
									<option value="<?=$index?>" <?=(!empty($module['pruef_links']) and $module['pruef_links']==$index)?'selected="selected"':''?>><?=$item['title']?></option>
								<?php endforeach; ?>
								</select>
							</dd>
						</dl>

						<br style="clear: both;"/>

					</dd>
				</dl>
				
				<h2><span><?=_('Weitere Informationen (Freitexte)')?></span></h2>
				<dl>
					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_lehrform_kommentar">
							<?=_('Lern-/Lehrform')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<textarea id="module_lehrform_kommentar" name="module[deskriptor][lehrform_kommentar]"><?=$module['deskriptor']['lehrform_kommentar']?></textarea>
						<br/>

						<blockquote class="small">
							<strong><?=_('Wichtiger Hinweis')?>:</strong>
							<?=_('Eingaben in diesem Freitextfeld knnen fr die automatische Berechnung von Workload und Prsenzzeit nicht ausgewertet werden')?>.<br/>
							<?=_('Tragen Sie dafr bitte die Semesterwochenstunden im Feld "<em>Prsenzzeit</em>" ein')?>.
						</blockquote>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_ziele">
							<?=_('Ziele des Moduls / Kompentenzen')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<textarea id="module_ziele" name="module[deskriptor][ziele]"><?=$module['deskriptor']['ziele']?></textarea>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_inhalte">
							<?=_('Inhalte des Modules')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<textarea id="module_inhalte" name="module[deskriptor][inhalte]"><?=$module['deskriptor']['inhalte']?></textarea>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_literatur">
							<?=_('Literatur')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<textarea id="module_literatur" name="module[deskriptor][literatur]"><?=$module['deskriptor']['literatur']?></textarea>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_kommentar">
							<?=_('Kommentar')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<textarea id="module_kommentar" name="module[deskriptor][kommentar]"><?=$module['deskriptor']['kommentar']?></textarea>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_url">
							<?=_('Internet-Link zu weiteren Informationen in deutscher Sprache')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<input type="text" id="module_url" name="module[deskriptor][url]" value="<?=$module['deskriptor']['url']?>"/>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_teilnahmevoraussetzungen">
							<?=_('Teilnahmevoraussetzungen')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<textarea id="module_teilnahmevoraussetzungen" name="module[deskriptor][teilnahmevoraussetzungen]"><?=$module['deskriptor']['teilnahmevoraussetzungen']?></textarea>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_vorkenntnisse">
							<?=_('Ntzliche Vorkenntnisse')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<textarea id="module_vorkenntnisse" name="module[deskriptor][vorkenntnisse]"><?=$module['deskriptor']['vorkenntnisse']?></textarea>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_verknuepftmitmodulen">
							<?=_('Verknpft mit den Modulen')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<textarea id="module_verknuepftmitmodulen" name="module[deskriptor][verknuepftMitModulen]"><?=$module['deskriptor']['verknuepftMitModulen']?></textarea>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_unbeschraenkt">
							<?=_('Beschrnkung der TeilnehmerInnenzahl')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<input type="checkbox" id="module_unbeschraenkt" name="module[deskriptor][unbeschraenkt]" value="1" <?=!empty($module['deskriptor']['unbeschraenkt'])?'checked="checked"':''?>/>
						<?=_('keine Beschrnkung')?>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_zulassungsbedingungen">
							<?=_('Maximale TeilnehmerInnenzahl / Auswahlkriterium fr die Zulassung')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<textarea id="module_zulassungsbedingungen" name="module[deskriptor][zulassungsbedingungen]"><?=$module['deskriptor']['zulassungsbedingungen']?></textarea>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_pruef_form">
							<?=_('Zu erbringende Leistungen / Prfungsform')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<textarea id="module_pruef_form" name="module[pruef_form]" <?=in_array('pruef_form', $not_editable)?'readonly="readonly" class="readonly"':''?>><?=$module['pruef_form']?></textarea>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_pruef_zeiten">
							<?=_('Prfungszeiten')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<textarea id="module_pruef_zeiten" name="module[pruef_zeiten]"><?=$module['pruef_zeiten']?></textarea>
					</dd>

					<dt class="r<?=$iterator?> a<?=$iterator%2?>">
						<label for="module_anmeldeformalitaeten">
							<?=_('Anmeldeformalitten')?>
						</label>
					</dt>
					<dd class="r<?=$iterator?> a<?=$iterator++%2?>">
						<textarea id="module_anmeldeformalitaeten" name="module[deskriptor][anmeldeformalitaeten]"><?=$module['deskriptor']['anmeldeformalitaeten']?></textarea>
					</dd>
				</dl>
			</td>
		</tr>
	</tbody>
</table>
<input type="hidden" name="module[id]" value="<?=$module['modul_kon_id']?>"/>
<input type="hidden" name="backlink_parameters" value="<?=urlencode(serialize($back_link_parameters))?>"/>
</form>

<script type="text/javascript">
//<![CDATA[
document.observe('dom:loaded', function() {
	// jQuery: $('#module_edit h2').click(function() { $(this).next().toggle(); }).filter(':not(:first)').click();
	$$('#module_edit h2').invoke('observe', 'click', function (event) {
		$(this).toggleClassName('closed').next().toggle();
	}).slice(1).invoke('addClassName', 'closed').invoke('next').invoke('hide');
//	$$('#module_edit h2:not(:first)').invoke('next').invoke('hide');

	$$('input[name=load_semester_data]').invoke('observe', 'click', function(event) {
		var m_id = $F( $$('input[name="module[id]"]').first() );
		var s_id = $F( $$('select[name=load_semester]').first() );
		new Ajax.Request('<?=$links['load_semester_data']?>', {
			method : 'GET',
			parameters : {
				modul_kon_id : m_id,
				semester_id : s_id
			},
			onSuccess : function (transport, a, b, c) {
				eval('var json = '+transport.responseText);

				$(['schwerpunkte', 'bereiche', 'fachsemester', 'sprachen']).each(function(index) {
					$$('input[name="module['+index+'][]"]').each(function(element) {
						element.checked = false;
					});
					$A(json[ index ]).each(function(item) {
						$$('input[name="module['+index+'][]"][value="'+item+'"]').each(function(element) {
							element.checked = true;
						});
					});
				});

				$(['url','praesenzzeit','untertitel']).each(function(index) {
					$$('input[name="module[deskriptor]['+index+']"]').each(function(element) {
						element.value = json.deskriptor[index] || '';
					});
				})

				$(['pruef_form', 'pruef_zeiten']).each(function(index) {
					$$('textarea[name="module['+index+']"]').each(function(element) {
						element.value = json[index] || '';
					});
				});
				$(['lehrform_kommentar','ziele','inhalte','literatur', 'kommentar','teilnahmevoraussetzungen','vorkenntnisse','verknuepftMitModulen','anmeldeformalitaeten','zulassungsbedingungen']).each(function(index) {
					$$('textarea[name="module[deskriptor]['+index+']"]').each(function(element) {
						element.value = json.deskriptor[index] || '';
					});
				});

				$(['unbeschraenkt']).each(function(index) {
					$$('input[name="module[deskriptor]['+index+']"]').each(function(element) {
						element.checked = !!json.deskriptor[index];
					});
				});

				$(['dauer','level_id','turnus','typ_id']).each(function(index) {
					$$('select[name="module[deskriptor]['+index+']"] option').each(function(element) {
						element.selected = (element.value==json.deskriptor[index]);
					});
				});

				// Prsenzzeiten
				$$('#pz_list li:not(.option) .pz_remove').each(function(item) {
					$('pz_list').fire('entry:remove', {element : item});
				});
				$(json['lehrformen']).each(function(item) {
					$('pz_list').fire('entry:add', item);
				});

				// Verantwortliche
				$$('ul[id^=person_type_list]').each(function(element) {
					element.select('li:not(.empty)').invoke('remove');
					element.select('li.empty').invoke('show');
				});
				$H(json['verantwortliche']).each(function(pair) {
					if ($H(pair.value).values().length) {
						$H(pair.value).each(function(person) {
							$('person_type_list_'+pair.key).insert({bottom: '<li rel="'+person.key+'">'+person.value+'<input type="hidden" name="module[persons]['+pair.key+'][]" value="'+person.key+'"/><span class="options"><a href="#" class="person_remove"><?=Assets::img('trash2.gif')?> <?=''//_('Eintrag entfernen')?></a></span></li>'});

						});
						$$('#person_type_list_'+pair.key+' li.empty').invoke('hide');
					}
				});
			}
		});

		event.stop();
	});

	new Ajax.Autocompleter(
		'autocomplete',
		'autocomplete_choices',
		'<?=$links['autocomplete']?>',
		{
			minChars: 3,
			paramName: 'value',
			method: 'get',
			parameters: 'limit=10',
			afterUpdateElement: function (input, item) {
				$('autocomplete_user_id').value = $(item).readAttribute('rel');
			}
		}
	);
	$('autocomplete').observe('keydown', function(event) {
		if (event.keyCode == Event.KEY_RETURN) {
			event.stop();
		}
		if (!$('autocomplete_choices').visible()) {
			$('autocomplete_user_id').value = null;
			$('autocomplete_all').hide();
		}
	});

	$('autocomplete_all').observe('change', function() {
		if (!$F(this)) {
			return;
		}
		$('autocomplete').value = this.options[this.selectedIndex].innerHTML.replace(/\(.*\)\s*$/, '').strip();
		$('autocomplete_user_id').value = $F(this);
	});

	$$('.persons').each(function(element) {
		Sortable.create(element);
	});

	$('person_add').observe('click', function(event) {
		var user_name = $F('autocomplete');
		var user_id = $F('autocomplete_user_id');

		if (!user_name || !user_id) {
			alert('<?=_('Bitte whlen Sie einen Benutzer aus')?>');
			$('autocomplete').focus();
			return;
		}

		var type = null;
		$A(document.getElementsByName('person_type')).each(function(item) {
			if (item.checked) {
				type = $F(item);
			}
		});

		if (!type) {
			alert('<?=_('Bitte whlen Sie eine Verantwortung aus')?>');
			$A(document.getElementsByName('person_type')).first().focus();
			return;
		}

		if ($$('#person_type_list_'+type+' li[rel="'+user_id+'"]').length) {
			$$('#person_type_list_'+type+' li[rel="'+user_id+'"]').invoke('pulsate');
			return;
		}

		$('person_type_list_'+type).insert({bottom: '<li rel="'+user_id+'">'+user_name+'<input type="hidden" name="module[persons]['+type+'][]" value="'+user_id+'"/><span class="options"><a href="#" class="person_remove"><?=Assets::img('trash2.gif')?> <?=''//_('Eintrag entfernen')?></a></span></li>'}).select('li').last().pulsate();
		$$('#person_type_list_'+type+' li.empty').invoke('hide');
		Sortable.create('person_type_list_'+type);


		$('autocomplete').value = '';
		$('autocomplete_user_id').value = null;
		$('autocomplete_all').hide();
		$A(document.getElementsByName('person_type')).each(function(item) {
			$(item).checked = false;
		});
	});
});

// Delegate click events to filter all clicks on .remove_person links
$(document).observe('click', function(event) {
	if (event.findElement('input') && event.findElement('input').match('[name=preview]')) {
		event.stop();
		new Ajax.Request(event.element().up('form').readAttribute('action'), {
			method : 'POST',
			encoding : 'windows-1252',
			parameters : event.element().up('form').serialize(),
			onSuccess : function(transport) {
				var random_id = 'preview'+(new Date()).getTime();
				$$('body')[0].insert({bottom: '<div id="'+random_id+'" style="display: none;">'+transport.responseText+'</div>'});
				var div = new Element('div');
				var dimensions = $$('body')[0].getDimensions();

				div.writeAttribute('id', 'module_overlay');
				$$('body')[0].appendChild(div);
				div.setStyle({
					position: 'absolute',
					left: 0,
					top: 0,
					width: dimensions.width+'px',
					height: Math.max(dimensions.height,window.innerHeight||document.body.clientHeight||document.documentElement.clientHeight)+'px',
					backgroundColor: '#000',
					zIndex: 500
				});
				div.setOpacity(0.5);
				var dimensions = document.viewport.getDimensions();
				var lw = new lightwindow;
				lw.activateWindow({
					href : '#'+random_id,
					type : 'inline',
					height : Math.floor(window.innerHeight||document.body.clientHeight||document.documentElement.clientHeight*0.8)+'px',
					width : Math.floor(dimensions.width*0.8)+'px',
					loadingAnimation : false,
					title : ''
				});

				$('module_overlay').observe('click', function() {
					lw.deactivate();
				});
			}
		});
	}

	if (event.findElement('a') && event.findElement('a').match('.person_remove')) {
		event.stop();

		if (event.element().up('li').siblings().length==1) {
			event.element().up('ul').down('.empty').blindDown();
		}
		event.element().up('li').blindUp({afterFinish: function(effect) {
			var list = effect.element.up('ul');
			effect.element.remove();
			Sortable.create( list );
		}});
	} else if (event.findElement('a') && event.findElement('a').match('.autocomplete_more')) {
		event.stop();

		var template = new Template('<option value="#{id}">#{name}</option>');

		new Ajax.Request('<?=$links['autocomplete']?>', {
			method: 'GET',
			parameters: {
				value: $F('autocomplete')
			},
			onSuccess: function(transport) {
				var div = document.createElement('div');
				div.innerHTML = transport.responseText;

				$('autocomplete_all').childElements().invoke('remove');
				$('autocomplete_all').insert({top: template.evaluate({id: '', name: '- <?=_('Bitte whlen Sie eine Person aus')?> -'})});
				$(div).select('ul > li').each(function(item) {
					$('autocomplete_all').insert({
						bottom: template.evaluate({
							id: $(item).readAttribute('rel'),
							name: $(item).innerHTML.stripTags()
						})
					});
				});
				$('autocomplete_all').show().selectedIndex = 0;
			}
		});
	}
});
//]]>
</script>