<a name="form"></a>
<form class="modules" action="<?=$links['submit']?>" method="post">

<input type="hidden" name="lehreinheit" value="<?=$_REQUEST['lehreinheit']?>"/>
<input type="hidden" name="fach" value="<?=$_REQUEST['fach']?>"/>
<input type="hidden" name="abschluss" value="<?=$_REQUEST['abschluss']?>"/>

<table style="width: 100%;" cellpadding="2" cellspacing="0">
	<colgroup>
		<col width="60%"/>
		<col width="40%"/>
	</colgroup>
	<thead>
		<tr>
			<td class="topic" colspan="2">
				<div class="semester_picker">
					<select name="semester" class="onchange_submit">
					<?php foreach (array_reverse($semester) as $semester): ?>
						<option value="<?=$semester['semester_id'] ?>"<? if ($semester['semester_id'] == $current_semester): ?> selected="selected"<?php endif; ?>><?=$semester['name'] ?> (<?=number_format($semester_data[$semester['semester_id']],0,',','.')?>)</option>
					<?php endforeach; ?>
					</select>
					<?=makebutton('anzeigen', 'input', '', 'change_semester')?>
				</div>

				<b><?=$lehreinheit_name?>
				&gt;
				<?=$fach_name?>
				&gt;
				<?=$abschluss_name?></b>
			</td>
		</tr>
		<tr>
			<th><?=_('Konkrete Module')?></th>
			<th><?=_('Modulinformationen')?></th>
		</tr>
	</thead>
	<tbody style="vertical-align: top;">
		<tr class="steel1">
			<td>
				<ol class="module_list">
				<?php $i=0; foreach ($concrete_module_ids as $id_0=>$id_1): ?>
					<li class="r<?=$i?> a<?=$i++%2?>" rel="<?=$id_0?>">
						<input type="checkbox" name="module_ids[]" value="<?=$id_0?>"/>

						<span class="options">
						<?php if ($concrete_modules[$id_0]['aktiv']): ?>
							<a href="<?=sprintf($links['deactivate'], $id_0)?>">
								<img src="<?=Assets::Image_Path('ampel_gruen.gif')?>" alt="<?=_('aktiv')?>" title="<?=_('deaktivieren')?>"/>
							</a>
						<?php else: ?>
							<a href="<?=sprintf($links['activate'], $id_0)?>">
								<img src="<?=Assets::Image_Path('ampel_rot.gif')?>" alt="<?=_('inaktiv')?>" title="<?=_('aktivieren')?>"/>
							</a>
						<?php endif; ?>
						<?php if ($concrete_modules[$id_0]['komplett']): ?>
							<a href="<?=sprintf($links['mark_incomplete'], $id_0)?>">
								<img src="<?=Assets::Image_Path('closelock.gif')?>" alt="<?=_('vollstndig')?>" title="<?=_('Als unvollstndig markieren')?>"/>
							</a>
						<?php else: ?>
							<a href="<?=sprintf($links['mark_complete'], $id_0)?>">
								<img src="<?=Assets::Image_Path('openlock.gif')?>" alt="<?=_('unvollstndig')?>" title="<?=_('Als vollstndig markieren')?>"/>
							</a>
						<?php endif; ?>
						</span>

						<a href="<?=sprintf($links['edit'], $id_0)?>">
							<?=ModuleHelper::GetModuleName($abstract_modules[$id_1], true)?>
						</a>
					</dt>
				<?php endforeach; ?>
				</ol>
			</td>
			<td id="module_info" style="height: 200px;">
				<div id="module_info_loading" style="display: none;">
					<img src="<?=$plugin_path?>/img/ajaxload.gif" alt="loading"/>
				</div>
				&nbsp;
			</td>
		</tr>
	</tbody>
	<tfoot>
		<tr class="steel2">
			<td>
				<?=_('Alle Module')?>
				<input id="check_all" type="checkbox" checked="checked" class="check_toggle" rel="module_ids[]"/>
				<label for="check_all"><?=_('markieren')?></label>
				/
				<input id="check_none" type="checkbox" class="check_toggle" rel="module_ids[]"/>
				<label for="check_none"><?=_('nicht markieren')?></label>
			</td>
			<td style="text-align: right;">
				<?=_('Markierte')?>
				<select name="action">
					<option value="-1">- <?=_('Bitte eine Aktion auswhlen')?> -</option>
					<option value="activate"><?=_('aktivieren')?></option>
					<option value="deactivate"><?=_('deaktivieren')?></option>
					<option value="mark_complete"><?=_('als "vollstndig" markieren')?></option>
					<option value="mark_incomplete"><?=_('als "unvollstndig" markieren')?></option>
				</select>
				<?=makebutton('weiter', 'input')?>
			</td>
		</tr>
	</tfoot>
</table>

<script type="text/javascript">
//<![CDATA[
$(document).observe('dom:loaded', function() {
	var timeouts = {};
	$$('ol.module_list li').invoke('observe', 'mouseover', function(event) {
		var element = event.findElement('li');
		var id = element.readAttribute('rel');

		element.addClassName('active');

		if ($('module_info_'+id)) {
			$('module_info_'+id).show();
			var py = $('module_info').positionedOffset()[1];
			var ph = $('module_info').getHeight();
			var ty = $('module_info_'+id).positionedOffset()[1];
			var th = $('module_info_'+id).getHeight();
			if (py+ph<ty+th) {
				$('module_info_'+id).setStyle({
					top: (ph+py-th)+'px'
				});
			}
		} else {
			timeouts['m'+id] = window.setTimeout(function() {
				timeouts['m'+id] = null;

				$('module_info').insert({
					top: '<div id="module_info_'+id+'"></div>'
				});
				$('module_info_'+id).setStyle({
					position : 'absolute',
					top : element.positionedOffset()[1]+'px'
				}).update($('module_info_loading').innerHTML);

				new Ajax.Request('<?=$links['module_info']?>'.replace('%s', id), {
					onSuccess: function(transport) {
						$('module_info_'+id).addClassName('module_info').update(transport.responseText);
						var py = $('module_info').positionedOffset()[1];
						var ph = $('module_info').getHeight();
						var ty = $('module_info_'+id).positionedOffset()[1];
						var th = $('module_info_'+id).getHeight();
						if (py+ph<ty+th) {
							$('module_info_'+id).setStyle({
								top: (ph+py-th)+'px'
							});
						}
					}
				});
			}, 250);
		}
	}).invoke('observe', 'mouseout', function(event) {
		var element = event.findElement('li');
		var id = element.readAttribute('rel');

		if (timeouts['m'+id]) {
			window.clearTimeout(timeouts['m'+id]);
			timeouts['m'+id] = null;
		}

		element.removeClassName('active');

		if ($('module_info_'+id)) {
			$('module_info_'+id).hide();
		}
	});
});
//]]>
</script>