<table cellspacing="0" cellpadding="5" style="<?=($via_ajax or $print)?'font-size: 1em;':''?>width: 100%; background-color: #fff; border-collapse: collapse;">
	<colgroup>
		<col width="10%"/>
		<col width="5%"/>
		<col width="50%"/>
		<col width="35%"/>
	</colgroup>
<?php if (!$via_ajax and !$print): ?>
	<thead>
		<tr>
			<th colspan="4">
				<?=_('Veranstaltungen und Rume des Moduls')?>
				<a href="<?=$links['module']?>">
					<?=ModuleHelper::GetModuleName($module)?>
				</a>
			</th>
		</tr>
	</thead>
<?php endif; ?>
	<tbody style="vertical-align: top; border: 1px solid black;">
	<?php if (empty($seminars)): ?>
		<tr>
			<td colspan="4" style="border: 1px solid black; text-align: center;">
				<?=_('Diesem Modul sind keine Veranstaltungen zugeordnet')?>.
			</td>
		</tr>
	<?php endif; ?>
	<?php foreach ($seminars as $seminar): ?>
		<tr>
			<td rowspan="2" style="border: 1px solid black; text-align: center; vertical-align: middle; font-weight: bold;"><?=$seminar['VeranstaltungsNummer']?></td>
			<td colspan="3">
			<?php if (empty($_REQUEST['hide_links'])): ?>
				<a href="<?=URLHelper::getLink('details.php?sem_id='.$seminar['seminar_id'])?>" target="_top"><?=$seminar['Name']?></a>
			<?php else: ?>
				<?=$seminar['Name']?>
			<?php endif; ?>
			</td>
		</tr>
		<tr style="border-bottom: 1px solid black;">
			<td><?=$seminar['art']?></td>
			<td>
				<?php // Ich kann nichts dafr, dass die Daten mehr als 1x und falsch sortiert angegeben werden ?>
				<?=getRoom($seminar['seminar_id'], empty($_REQUEST['hide_links']), strtotime('-3 months'))?>
			</td>
			<td style="text-align: right;">
			<?php foreach (ModuleHelper::GetDozentenForSeminar($seminar['seminar_id']) as $index=>$user_id): ?>
				<?=$index?', ':''?>
				<?php if (empty($_REQUEST['hide_links'])): ?>
				<a href="<?=URLHelper::getLink('about.php?username='.ModuleHelper::GetUserName($user_id))?>" target="_top"><?=ModuleHelper::GetCompleteName($user_id)?></a>
				<?php else: ?>
					<?=ModuleHelper::GetCompleteName($user_id)?>
				<?php endif; ?>
			<?php endforeach; ?>
			</td>
		</tr>
	<?php endforeach; ?>
	</tbody>
</table>
