function toogleCheckbox(flag) {
	if (flag == 'all') {
		$$('input[type=checkbox][name="seminar_ids[]"]').each(function(item) {
			if(item.checked == true) {
				item.checked = false;
			} else {
				item.checked = true;
			}
		});
	}
	if (flag == 'visible') {
		$$('input[id="visible"][type=checkbox][name="seminar_ids[]"]').each(function(item) {
			if(item.checked == true) {
				item.checked = false;
			} else {
				item.checked = true;
			}
		});
	}
}

function disableButton() {
	$('submitbutton').hide();
	$('submittext').show();
}

function toogleCheckboxM() {
	var checked = document.selectModules.checkall.checked;

	for ( var i = 0; i < document.selectModules.elements.length; i++) {
		document.selectModules.elements[i].checked = checked;
	}
}

function toggleModule() {
	if ($$('input[name="module[]"].hidden').length>0) {
		$$('input[name="module[]"].hidden').invoke('removeClassName', 'hidden').each(function(item) {
			item.up('tr').show();
		});
	} else {
		$$('input[name="module[]"]:not(:checked)').invoke('addClassName','hidden').each(function(item) {
			item.up('tr').hide();
		});
	}
}

function toogleHandbuchCheck(id) {
	if($F('po_'+id).length != 0)
	{
		$('po_'+id).value='';
	}
	else
	{
		$('po_'+id).value=1;
	}
}

function toogleHandbuchPosition(id) {
	if($('ch_'+id).checked == true && $('po_'+id).value=='')
	{
		$('ch_'+id).checked=false;
	}
	else
	{
		$('ch_'+id).checked=true;
	}
}

// Everything below by jhw

document.observe('dom:loaded', function() {
	// Marker
	$$('#check_none').invoke('observe', 'click', function(event) {
		event.stop();
		$$('input[type=checkbox][name="' + $(this).readAttribute('rel') + '"]').each(function(item) {
			item.checked = false;
		});
	});
	$$('#check_all').invoke('observe', 'click', function(event) {
		event.stop();
		$$('input[type=checkbox][name="' + $(this).readAttribute('rel') + '"]').each(function(item) {
			item.checked = true;
		});
	});


	// Highlight messages
	$$('.message').invoke('highlight').invoke('observe', 'click', function() {
		this.fade({
			afterFinish: function(effect) {
				effect.element.remove();
			}
		});
	});
	window.setTimeout(function() {
		$$('.message').invoke('fade', {afterFinish: function(effect){
			effect.element.remove();
		}});
	}, 10000);

	// Create onchange_submit elements, parent formular is submitted when select's value is changed
	$$('select.onchange_submit').invoke('observe', 'change', function() {
		this.up('form').submit();
	}).invoke('next').invoke('remove');

	// Create ondblclick_submit elements, parent formular is submitted when option is double clicked
	$$('select.ondblclick_submit option').invoke('observe', 'dblclick', function() {
		this.up('form').submit();
	});

	var jar = new CookieJar();
	$$('.onclick_toggle').invoke('observe', 'click', function() {
		var element = this.readAttribute('rel');

		jar.put(element, {visible: !$(element).visible()});
		Effect.toggle(element, 'slide', {duration: 0.5});

	}).each(function(item) {
		var element = item.readAttribute('rel');
		if ((state = jar.get(element)) && !state.visible) {
			item.checked = false;
			$(element).hide();
		}
	});

	if ($('accordion')) {
		new Proto.Accordion('accordion', {
			useEffects: true, // Use script.aculo.us blind effects
			effectOptions: {
				duration: 0.1
			}
		});
	}

	if ($('module_edit')) {
		initialize_module_edit();
	}

	$$('blockquote').invoke('observe', 'mouseover', function() {
		this.addClassName('hovered');
	}).invoke('observe', 'mouseout', function() {
		this.removeClassName('hovered');
	});

	$$('form.modules:not([disabled]) input[type=image][name="subcommand[abstractize]"][value=abstractize]').invoke('observe', 'click', function(event) {
		var count = $$('select[name="concrete_modules[]"] option').select(function(item) { return item.selected; }).length;
		if (!count || !confirm("Wollen Sie die ausgewählten konkreten Module wirklich löschen?\n\nAchtung: Alle Daten gehen unwiderruflich verloren!\n\nBeachten Sie:\nSollte dieses Modul in mehreren Studiengängen eingehängt sein, so wird es auch für diese Studiengänge gelöscht!")) {
			event.stop();
		}
	});

	$$('form.modules input[type=image][name="subcommand[concretize]"][value=concretize]').invoke('observe', 'click', function(event) {
		if (!$$('select[name="abstract_modules[]"] option').select(function(item) { return item.selected; }).length) {
			event.stop();
		}
	});
});

function initialize_module_edit() {
	$('module_kp').observe('keyup', function() {
		var new_value = '';
		var value = parseFloat($F(this).replace(',', '.'));
		if ($F(this).length && value) {
			new_value = (value*30);
		}
		$('__workload').value = new_value;
	});

	$('pz_list').observe('entry:add', function(event) {
		var $lis = $$('#pz_list li:not(.option)');
		var index = $lis.length;

		var $li = new Element('li');
		var template = $('pz_template').cloneNode(true);

		template.select('select').each(function(item) {
			item.writeAttribute('disabled', false);
			var name = item.readAttribute('name').replace('__x__', index);
			item.writeAttribute('name', name);
		});

		$(template).childElements().each(function(item) {
			$li.insert(item);
			$li.insert(' ');
		});

		if (event.memo['sws']) {
			$li.select('select').first().select('option').each(function(item) {
				item.selected = item.value==event.memo['sws'];
			});
		}
		if (event.memo['veranst_typ_id']) {
			$li.select('select').last().select('option').each(function(item) {
				item.selected = item.value==event.memo['veranst_typ_id'];
			});
		}

		$$('ul#pz_list li.option').first().insert({before: $li});
	}).observe('entry:remove', function(event) {
		event.memo.element.up('li').remove();

		$$('#pz_list li:not(.option)').each(function(item, index) {
			item.select('select').each(function(select) {
				var name = select.readAttribute('name');
				name = name.replace(/\d+/, index);
				select.writeAttribute('name', name);
			});
		});
	});

	$(document).observe('click', function(event) {
		if (event.element().match('#pz_add') || (event.element().up() && event.element().up().match('#pz_add'))) {
			event.stop();

			$('pz_list').fire('entry:add');
		} else if (event.element().match('.pz_remove') || (event.element().up() && event.element().up().match('.pz_remove'))) {
			event.stop();

			$('pz_list').fire('entry:remove', {element : event.element()});
		}
	}).observe('change', function(event) {
		if (event.element().match('select.pz_select.pz_sws')) {
			var pz_time = 0;
			$$('select.pz_select.pz_sws').each(function(item) {
				pz_time += parseInt($F(item));
			});
			$('module_praesenzzeit').value = (pz_time * 14);
		}
	});
}
