<?php

require_once $GLOBALS['STUDIP_BASE_PATH'] . '/' . $GLOBALS['RELATIVE_PATH_CALENDAR'] . '/lib/DbCalendarDay.class.php';
require_once dirname(__FILE__) . '/LVPPluginCalendarEvent.class.php';


class LVPPluginCalendarDay extends DbCalendarDay {
	
	public $sem_ids = array();
	
	public function __construct ($tstamp, $sem_ids) {
		$this->sem_ids = $sem_ids;
		parent::DbCalendarDay($tstamp);
	
	}
	
	public function addEvent ($term) {
	
	}
	
	public function delEvent ($id) {
		return false;
	}
	
	public function replaceEvent ($term) {
		return false;
	}
	
	public function save () {
		
	}
	
	public function restore () {
		if (sizeof($this->sem_ids)) {
			$sem_ids = implode("','", $this->sem_ids);
			$stmt = DBManager::get()->prepare("SELECT t.termin_id FROM termine t LEFT JOIN seminare s ON range_id = seminar_id WHERE range_id IN ('$sem_ids') AND date >= ? AND end_time <= ?");
			$stmt->execute(array($this->getStart(), $this->getEnd()));
			while ($row = $stmt->fetch()) {
				$this->events[] = new LVPPluginEvent($row['termin_id']);
			}
			$this->sort();
		}
	}
	
	public function bindSeminarEvents ($sem_id = '') {
		return false;
	}
	
}