<?php

require_once dirname(__FILE__) . '/LVPPluginCalendarDay.class.php';

class LVPPluginCalendarWeek {
	
	public $wdays;
	public $kw;
	public $ts;
	public $type;
	
	public function __construct ($tstamp, $sem_ids) {
		$this->type = 5;
		// Berechnung des Timestamps fr Montag 12:00:00 Uhr
		$timestamp = mktime(12, 0, 0, date('n', $tstamp), date('j', $tstamp), date('Y', $tstamp), 0);
		$this->ts = $timestamp - 86400 * (strftime('%u', $timestamp) - 1);
		$this->kw = strftime('%W', $this->ts);
		for ($i = 0; $i < $this->type; $i++) {
			$this->wdays[$i] = new LVPPluginCalendarDay($this->ts + $i * 86400, $data);
		}
	}
	
	public function getStart () {
		return mktime(0, 0, 0, date('n', $this->ts), date('j', $this->ts), date('Y', $this->ts));
	}
	
	// public
	public function getEnd () {
		return mktime(0, 0, 0, date('n', $this->ts), date('j', $this->ts) + $this->type, date('Y', $this->ts)) - 1;
	}
	
	// private
	public function getTs () {
		return $this->ts;
	}
	
	public function getType () {
		return $this->type;
	}
	
	public function getNextConflict () {
		
	}
	
	public function getLastConflict () {
	
	}
	
}

?>