<?php
class AddLogActions extends DBMigration
{
	private $actions = array(
		'MOD_ADD_BEREICH' => array(
			'name' => 'Modulplugin: Bereich hinzugefgt',
			'template' => '%user: %info',
		),
		'MOD_EDIT_BEREICH' => array(
			'name' => 'Modulplugin: Bereich bearbeitet',
			'template' => '%user: %info',
		),
		'MOD_DEL_BEREICH' => array(
			'name' => 'Modulplugin: Bereich gelscht',
			'template' => '%user: %info',
		),
		'MOD_ADD_SCHWERPUNKT' => array(
			'name' => 'Modulplugin: Schwerpunkt hinzugefgt',
			'template' => '%user: %info',
		),
		'MOD_EDIT_SCHWERPUNKT' => array(
			'name' => 'Modulplugin: Schwerpunkt bearbeitet',
			'template' => '%user: %info',
		),
		'MOD_DEL_SCHWERPUNKT' => array(
			'name' => 'Modulplugin: Schwerpunkt gelscht',
			'template' => '%user: %info',
		),
		'MOD_ADD_MODULE' => array(
			'name' => 'Modulplugin: Modul erzeugt',
			'template' => '%user: %info',
		),
		'MOD_EDIT_MODULE' => array(
			'name' => 'Modulplugin: Modul bearbeitet',
			'template' => '%user: %info',
		),
		'MOD_DEL_MODULE' => array(
			'name' => 'Modulplugin: Modul gelscht',
			'template' => '%user: %info',
		),
		'MOD_ACTIVATE' => array(
			'name' => 'Modulplugin: Modul aktiviert',
			'template' => '%user: %info',
		),
		'MOD_DEACTIVATE' => array(
			'name' => 'Modulplugin: Modul deaktiviert',
			'template' => '%user: %info',
		),
		'MOD_COMPLETE' => array(
			'name' => 'Modulplugin: Modul als vollstndig markiert',
			'template' => '%user: %info',
		),
		'MOD_INCOMPLETE' => array(
			'name' => 'Modulplugin: Modul als unvollstndig markiert',
			'template' => '%user: %info',
		),
	);

	function up()
	{
		foreach ($this->actions as $name => $action)
		{
			DBManager::Get()->exec("INSERT IGNORE INTO log_actions (action_id, name, description, info_template, active, expires) VALUES ('".md5(uniqid('log_action', true))."', '{$name}', '{$action['name']}', '{$action['template']}', 1, NULL)");
		}
	}

	function down()
	{
		DBManager::Get()->exec("DELETE FROM log_actions WHERE name IN ('".implode("','", array_keys($this->actions))."')");
	}
}
?>