-- Neue Stud.IP Log-Actions --
REPLACE INTO log_actions (action_id, name, description, info_template, active) VALUES (MD5('SEM_COPY_MULTI'), 'SEM_COPY_MULTI', 'Mehrere Veranstaltungen kopieren', '%user hat %info', 1);
REPLACE INTO log_actions (action_id, name, description, info_template, active) VALUES (MD5('MOD_COPY_MULTI'), 'MOD_COPY_MULTI', 'Mehrere Module kopieren', '%user hat %info', 1);

-- Fr das Modul-Handbuch --
CREATE TABLE IF NOT EXISTS `modul_handbuch` (
  `mod_handbuch_id` VARCHAR(32) NOT NULL ,
  `lehreinheit_id` VARCHAR(32) NULL ,
  `fach_id` VARCHAR(32) NOT NULL ,
  `abschluss_id` VARCHAR(32) NOT NULL ,
  `user_id` VARCHAR(32) NULL ,
  `change_date` DATETIME NULL ,
  PRIMARY KEY (`mod_handbuch_id`, `fach_id`, `abschluss_id`)
) ENGINE = MyISAM;

CREATE TABLE IF NOT EXISTS `modul_handbuch_list` (
  `mod_handbuch_list_id` INT NOT NULL AUTO_INCREMENT ,
  `mod_handbuch_id` VARCHAR(32) NULL ,
  `modul_kon_id` VARCHAR(32) NULL ,
  `position` INT UNSIGNED NULL ,
  PRIMARY KEY (`mod_handbuch_list_id`)
) ENGINE = MyISAM;

-- LVPPlugin --

--
-- Tabellenstruktur fr Tabelle `plugin_lvp_conflict`
--

CREATE TABLE IF NOT EXISTS `plugin_lvp_conflict` (
  `user_id` varchar(32) NOT NULL,
  `seminar_id` varchar(32) NOT NULL,
  `termin1_id` varchar(32) NOT NULL,
  `termin2_id` varchar(32) NOT NULL,
  `mkdate` int(11) NOT NULL,
  PRIMARY KEY  (`user_id`,`seminar_id`,`termin1_id`,`termin2_id`),
  KEY `seminar_id` (`seminar_id`),
  KEY `termin1_id` (`termin1_id`)
) TYPE=MyISAM;


--
-- Tabellenstruktur fr Tabelle `plugin_lvp_ignore`
--

CREATE TABLE IF NOT EXISTS `plugin_lvp_ignore` (
  `seminar_id` varchar(32) NOT NULL,
  `user_id` varchar(32) NOT NULL,
  `mkdate` int(11) NOT NULL,
  PRIMARY KEY  (`seminar_id`)
) TYPE=MyISAM;


--
-- Tabellenstruktur fr Tabelle `plugin_lvp_message`
--

CREATE TABLE IF NOT EXISTS `plugin_lvp_message` (
  `message_id` varchar(32) NOT NULL,
  `seminar_id` varchar(32) NOT NULL,
  `author_id` varchar(32) NOT NULL,
  `recipient_id` varchar(32) NOT NULL,
  `subject` tinytext NOT NULL,
  `message` tinytext NOT NULL,
  `internal` tinyint(1) NOT NULL,
  `mkdate` int(11) NOT NULL,
  PRIMARY KEY  (`message_id`),
  UNIQUE KEY `seminar_id` (`seminar_id`,`author_id`,`recipient_id`)
) TYPE=MyISAM;


--
-- Tabellenstruktur fr Tabelle `plugin_lvp_note`
--

CREATE TABLE IF NOT EXISTS `plugin_lvp_note` (
  `seminar_id` varchar(32) collate latin1_german1_ci NOT NULL,
  `author_id` varchar(32) collate latin1_german1_ci NOT NULL,
  `note` tinytext collate latin1_german1_ci NOT NULL,
  `mkdate` int(11) NOT NULL,
  `chdate` int(11) NOT NULL,
  PRIMARY KEY  (`seminar_id`,`author_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_german1_ci;
