<?php if ($is_foreign): ?>
<p style="background-color: #fcc; padding: 10px; border: 1px solid red; text-align: center; font-weight: bold;">
	<?=_('Sie sind nicht berechtigt, in diesem Abschluss Module anzulegen.')?><br/>
	<?=_('Um Module zu bearbeiten, klicken Sie bitte hier')?>: <a href="<?=$link_edit?>"><?=_('Module bearbeiten')?></a>
</p>
<?php endif; ?>
<form name="form" class="modules" action="" method="post" <?=$is_foreign?'disabled="disabled"':''?>>
<table style="width: 100%;" cellpadding="2" cellspacing="0">
	<colgroup>
		<col width="47.5%"/>
		<col width="5%"/>
		<col width="47.5%"/>
	</colgroup>
	<thead>
		<tr>
			<td class="topic" colspan="3">
				<b><?=$lehreinheit_name?> &gt; <?=$fach_name?> &gt; <?=$abschluss_name?></b>
			</td>
		</tr>
		<tr>
		  <td align="right" colspan="3" class="steel2">
                <?php if (count($institutes)>1): ?>
                    <select name="institute" <?=$is_foreign?'disabled="disabled"':''?>>
                    <?php foreach ($institutes as $institute_id=>$name): ?>
                        <option value="<?=$institute_id?>" <?=(is_array($current_institute) and in_array($institute_id, $current_institute))?'selected="selected"':''?>><?=$name?></option>
                    <?php endforeach; ?>
                    </select>
                <?php endif; ?>

                    <select name="semester" <?=$is_foreign?'disabled="disabled"':'class="onchange_submit"'?>>
                    <? foreach (array_reverse($semester) as $semester): ?>
                        <option value="<?=$semester['semester_id'] ?>"<? if ($semester['semester_id'] == $current_semester): ?> selected="selected"<? endif; ?>><?=$semester['name'] ?></option>
                    <? endforeach; ?>
                    </select>
                <?php if (!$is_foreign): ?>
                    <?=makebutton('anzeigen', 'input', '', 'change_semester')?>
                <?php endif; ?>
		  </td>
		</tr>
		<tr>
			<th>Konkrete Module</th>
			<th>&nbsp;</th>
			<th>Abstrakte Module</th>
		</tr>
	</thead>
	<tbody style="vertical-align: top;">
		<tr class="steel1">
			<td>
				<select name="concrete_modules[]" multiple="multiple" <?=$is_foreign?'disabled="disabled"':''?>>
				<?php foreach ($abstract_modules_sorted as $module): ?>
					<?php if (!($concrete_id=array_search($module['id'], $concrete_module_ids))) continue; ?>
					<option value="<?=$concrete_id?>" <?=isset($allowed_concrete_module_ids[$concrete_id])?'':'disabled="disabled"'?>>
						<?=ModuleHelper::GetModuleName($module, true)?>
					</option>
				<?php endforeach; ?>
				</select>
			</td>
			<td style="border: 1px solid black; border-width: 0px 1px; vertical-align: middle; text-align: center;">
				<input type="image" src="<?=Assets::image_path('move_left.gif')?>" name="subcommand[concretize]" value="concretize" <?=$is_foreign?'disabled="disabled"':''?>/>
				<br/>
				<input type="image" src="<?=Assets::image_path('move_right.gif')?>" name="subcommand[abstractize]" value="abstractize" <?=$is_foreign?'disabled="disabled"':''?>/>
			</td>
			<td>
				<select name="abstract_modules[]" multiple="multiple" <?=$is_foreign?'disabled="disabled"':''?>>
				<?php foreach ($abstract_modules as $module): ?>
					<option value="<?=$module['id']?>" <?=in_array($module['id'], $concrete_module_ids)?'class="disabled" disabled="disabled"':''?>>
						<?=ModuleHelper::GetModuleName($module, true)?>
					</option>
				<?php endforeach; ?>
				</select>
			</td>
		</tr>
	</tbody>
</table>

	<input type="hidden" name="lehreinheit" value="<?=$lehreinheit?>"/>
	<input type="hidden" name="fach" value="<?=$fach?>"/>
	<input type="hidden" name="abschluss" value="<?=$abschluss?>"/>
	<input type="hidden" name="action" value="select"/>
	<input type="hidden" name="veranstaltung_submit" value="1"/>
	<input type="hidden" name="selected_semester" value="<?=$current_semester?>"/>
<?php if (count($institutes)==1): ?>
	<input type="hidden" name="institute" value="<?=reset($institutes)?>"/>
<?php endif; ?>
</form>